<?php
	/**
		 @contact HP WallArt Barcelona Team (abad@hp.com)
	 
		 @version   1.0
		 @date Feb 1 2015
	 
	*   (c) Copyright 2018 Hewlett-Packard Development Company L.P
	*   All rights reserved. Copying or other reproduction of this
	*   program except for archival purposes is prohibited without
	*   written consent of HP Inc.
	*
	*   HP / GSB / LFPro
	*/
	function getAllHeadersJorge()
	{
		$retarr = array();
		
		//JORGE
		foreach ($_SERVER AS $key => $value) {
			$key = preg_replace('/^HTTP_/i', '', $key);
			$key = str_replace('REDIRECT_', '', $key);
			$key = str_replace('Redirect-', '', $key);
			$key = str_replace(
					" ",
					"-",
					ucwords(strtolower(str_replace(array("-", "_"), " ", $key)))
				);
			$retarr[$key] = $value;
		}
		ksort($retarr);
		
		return $retarr;
	}


//	ini_set('display_errors', 0); 
//	error_reporting(E_ALL & ~E_NOTICE);
	error_reporting(error_reporting() & ~E_NOTICE);

	$request_path = !empty($_SERVER['PATH_INFO']) ? $_SERVER['PATH_INFO'] : (!empty($_SERVER['ORIG_PATH_INFO']) ? $_SERVER['ORIG_PATH_INFO'] : '');
	
	//Acciones para guardar la sesión en un carro de compra de woocommerce

	require_once( '../../../wp-load.php' );

	//open LOG file
	$h = fopen('content.txt', 'a');

	function searchForId($id, $array)
	{
	   foreach ($array as $key => $val)
	   {
		   if ($val['id'] === $id)
		   {
			   return $array[$key];
		   }
	   }
	   return null;
	}	
	//buscamos datos del usuario
	fwrite($h, "\n\n\n\r**************************************************************************************\n");
	fwrite($h, "\r****** Date time: ".(date('Y-m-d H:i:s'))." ******\n");
	fwrite($h, "****** PATH_INFO: ".$request_path." ******\n");
	fwrite($h, "****** SCRIPT_FILENAME: ".$_SERVER['SCRIPT_FILENAME']." ******\n");
	
	$headers = getAllHeadersJorge();
	foreach ($headers as $header => $value)
	{
		$val = "$header: $value\n";
		//fwrite($h, $val);
	}
	fwrite($h, "****** HEADERS: ".$headers['X-Auth-Token']." ******\n");

	//search de project_id
	if(!$project_id)
	{
		if(isset($headers['X-Auth-Token']))
		{
			//Get the project_id via context_content_token
			$project_id = base64_decode($headers['X-Auth-Token']);
			$order = new WC_Order($project_id);
			$item = $order->get_items('line_item');
			$wp_result = wc_get_order_item_meta(key($item), '_data');
			$wp_result = unserialize($wp_result);
			fwrite($h, "****** PROJECT_ID received by X-Auth-Token: ".$project_id." ******\n");
			fwrite($h, "****** item: ".json_encode($item)." ******\n");
			fwrite($h, "****** wp_result: ".json_encode($wp_result)." ******\n");
			fwrite($h, "****** unserialize wp_result: ".json_encode($wp_result)." ******\n");
		}
		else
		{
			//Get the project_id via $request_path
			preg_match('/\/themes\/(\d+)/', $request_path, $matches);
			$project_id = $matches[1];
			fwrite($h, "****** PROJECT_ID received by PATH_INFO (".$request_path."): ".$project_id." ******\n");
			$order = new WC_Order($project_id);
			$item = $order->get_items('line_item');
			fwrite($h, "****** item: ".json_encode($item)." ******\n");
			
			$wp_result = wc_get_order_item_meta(key($item), '_data');
			fwrite($h, "****** wp_result: ".json_encode($wp_result)." ******\n");
			
			if($wp_result == false)
			{
				$wp_result = wc_get_order_item_meta(key($item), 'hpwallart_user_custom_data');
				fwrite($h, "****** wp_result_false: ".json_encode($wp_result)." ******\n");
			}
			$wp_result = unserialize($wp_result);
			fwrite($h, "****** unserialize wp_result: ".json_encode($wp_result)." ******\n");
		}
	}
	
	fwrite($h, "****** IP: ".$_SERVER['REMOTE_ADDR']." ******\n");
	fwrite($h, "****** CONTENT_CONTEXT_TOKEN: ".$_GET['content_context_token']." ******\n");
	fwrite($h, "****** AUTH_TOKEN: ".$headers['X-Auth-Token']." ******\n");
	fwrite($h, "****** PROJECT ID ".$project_id." ***** FILE content.php ******\n");
	//cargamos datos del proyecto actual
	
	//cargamos datos del formato  para pasar el precio base
	$metros = $wp_result['basket']['ancho']*$wp_result['basket']['alto']/10000;
	fwrite($h, "****** Metros ".$metros." ***** FILE content.php ******\n");
	
	//cargamos datos del formato  para pasar el precio base10
	if(get_option('hpwallart_unit_system') == 'Metric')
	{
		$precio_base = $wp_result['basket']['precioBase']/10.7639104;	//divide to sq inches
	}
	elseif(get_option('hpwallart_unit_system') == 'Imperial')
	{
		$precio_base = $wp_result['basket']['precioBase'];
	}
	fwrite($h, "****** Precio base: ".$precio_base." ******\n");
	
	//20150909 DENNET new variables
	$provider = array('1' => 'fotolia', '3' => 'pattern_design');
	
//////////////////////////////////////////*******************OBJECTS**********************///////////////////////////////
		
	$elements = array();
	$elementosParaEscenas = array();
	
	if(count($wp_result['basket']['objetos']))
	{
		foreach($wp_result['basket']['objetos'] as $key => $value)
		{
			$thumbnail = $value['objeto_path'];
	
			//image dimensions
			if(function_exists('getimagesize') && ini_get('allow_url_fopen'))
			{
				$imagesize = getimagesize($thumbnail);
			}
			elseif(function_exists('curl_version'))
			{
				$ch = curl_init();
				curl_setopt ($ch, CURLOPT_URL, $thumbnail);
				curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 1);
				
				$contents = curl_exec($ch);
				curl_close($ch);
				
				$new_image = ImageCreateFromString($contents);
				imagejpeg($new_image, "temp.jpg",100);
				
				$imagesize = getimagesize("temp.jpg");
			}
			else
			{
				$imagesize = array('800', '600');
			}
			$objeto["id"] = $value['id'];
			$objeto["type"] = "Element";
			$objeto["default_height"] = 75;
			
			//20150909 DENNET new variables
			$objeto["image_source"] = $provider[$value['provider_objects']];
			$objeto["media_id"] = $value['id'];
			$objeto["price"] = '';
			$objeto["thumbnail_path"] = $thumbnail;
			$objeto["thumbnail_width"] = $imagesize[0]/5;
			$objeto["thumbnail_height"] = $imagesize[1]/5;
			$objeto["image_path"] = $thumbnail;
			$objeto["image_width"] = $imagesize[0];
			$objeto["image_height"] = $imagesize[1];
			$objeto["printable_image_width"] = $imagesize[0];
			$objeto["printable_image_height"] = $imagesize[1];
			$objeto["flippable_x"] = true;
			$objeto["rotatable"] = true;
			
			$elements[] = $objeto;
			fwrite($h, "****** OBJETO ".implode(',', $objeto)." ***** FILE content.php ******\n");
			$elementosParaEscenas[] = $value['id'];
		}
	}
	
	//////////////////////////////////////////*******************SCENES**********************///////////////////////////////
	//creamos array de fondos, escenas

	$scenes = array();

	if(count($wp_result['basket']['fondos']))
	{
		foreach($wp_result['basket']['fondos'] as $key => $value)
		{
			//elementos de la escena
			$elementosEscena = implode(',', $elementosParaEscenas);
			$thumbnail = $value['objeto_path'];
			
			//image dimensions
			if(function_exists('getimagesize') && ini_get('allow_url_fopen'))
			{
				$imagesize = getimagesize($thumbnail);
			}
			elseif(function_exists('curl_version'))
			{
				$ch = curl_init();
				curl_setopt ($ch, CURLOPT_URL, $thumbnail);
				curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 1);
				
				$contents = curl_exec($ch);
				curl_close($ch);
				
				$new_image = ImageCreateFromString($contents);
				imagejpeg($new_image, "temp.jpg",100);
				
				$imagesize = getimagesize("temp.jpg");
			}
			else
			{
				$imagesize = array('800', '600');
			}
			if($value['matadata']['recolorable']){
				$value['matadata']['recolorable'] = true;
			}
			
			$escena["id"] = $value['id'];
			
			//20150909 DENNET new variables
			$escena["image_source"] = $provider[$value['provider_backgrounds']];
			$escena["media_id"] = $value['id'];
			$escena["price"] = '';
			$escena["thumbnail_path"] = $thumbnail;
			$escena["thumbnail_height"] = $imagesize[1]/5;
			$escena["thumbnail_width"] = $imagesize[0]/5;
			$escena["image_path"] = $thumbnail;
			$escena["image_width"] = $imagesize[0];
			$escena["image_height"] = $imagesize[1];
			$escena["printable_image_width"] = 0;
			$escena["printable_image_height"] = 0;
			$escena["printable_asset_free_for_samples"] = true;
			$escena["flippable_x"] = true;
			if($provider[$value['provider_backgrounds']] == "pattern_design"){
				$escena["metadata"] = $value['matadata'];
		    }
			$scenes[] = $escena;
			fwrite($h, "****** Escena ".implode(',', $escena)." ***** FILE content.php ******\n");
		}
	}

	//REQUESTS////
	
	if ($request_path == '/themes')
	{
		$themes = array(
					0 => array(	
							"id" => ($project_id != ''? $project_id : 0),
							"name" => "Your selection",
							"tooltip" => "SAMPLE_FILES_TOOLTIP",
							"thumbnail_path" => plugin_dir_url( __DIR__ )."hpwallart/images/logoWordpress.png",
							"thumbnail_width" => 75,
							"thumbnail_height"=> 75,
							"photo_upload_support" => false, 
							//"cutout_element_ids" => array(), 
							//"rps_theme_id" => "", 
							//"pro_design_groups" => array(),
							"price" => array(
										"msrp" => array(
											"base" => 0,
											"per_sqft" => $precio_base,
											"currency" => "EUR",
											"vat" => get_option('hpwallart_taxes')
											),
										"your_price" => array(
											"base" => 0,
											"per_sqft" => $precio_base,
											"currency" => "EUR",
											"currency_symbol" => get_option('woocommerce_currency'),
											"vat" => get_option('hpwallart_taxes')
											)
										)
							)
					);
					
		$temas = str_replace('\/', '/', json_encode($themes));
		
		echo $temas;
		fwrite($h, "****** REQUEST ".$request_path." ***** FILE content.php ******\n");
		fwrite($h, "****** Themes: ".$temas." ******\n");
		exit;
	}
	elseif(preg_match('/\/themes\/(\d+)$/', $request_path, $matches))
	{
		$themes = array(
						"id" => $project_id,
						"name" => "Your selection",
						"tooltip" => "SAMPLE_FILES_TOOLTIP",
						"thumbnail_path" => plugin_dir_url( __DIR__ )."hpwallart/images/logoWordpress.png",
						"thumbnail_width" => 75,
						"thumbnail_height" => 75,
						"photo_upload_support" => false,
						"price" => array(
									"msrp" => array(
										"base" => 0,
										"per_sqft" => $precio_base,
										"currency" => "EUR",
										"currency_symbol" => get_option('woocommerce_currency'),
										"vat" => get_option('hpwallart_taxes')
										),
									"your_price" => array(
										"base" => 0,
										"per_sqft" => $precio_base,
										"currency" => "EUR",
										"currency_symbol" => get_option('woocommerce_currency'),
										"vat" => get_option('hpwallart_taxes')
										)
									)
						);
		
		$tema = str_replace('\/', '/', json_encode($themes));
						
		echo $tema;
		fwrite($h, "****** REQUEST ".$request_path."***** FILE content.php ******\n");
		fwrite($h, "****** Theme: ".$tema." ******\n");
		exit;
	}	
	elseif(preg_match('/\/themes\/(\d+)\/scenes$/', $request_path, $matches))	//array de fondos
	{
		$escenas = str_replace('\/', '/', json_encode($scenes));
		
		echo $escenas;
		fwrite($h, "****** REQUEST ".$request_path." ***** FILE content.php ******\n");
		fwrite($h, "****** Scenes: ".$escenas." ******\n");
		exit;
	}
	elseif(preg_match('/\/themes\/(\d+)\/scenes\/(\d+)$/', $request_path, $matches))		//un fondo en concreto
	{
		//aquí hay que considerar dos casos. 1, estamos logeados y se carga el array. 2, solo es una petición de URL
		
		if($project_id != '')
		{
			//buscamos escena del array precargado
			foreach($scenes as $key => $value)
			{
				if($value['id'] == $matches[2])
				{
					$scena = $value;
				}
			}
			fwrite($h, "****** SCENES: ".json_encode($scenes)."   ***** FILE content.php ******\n");
			fwrite($h, "****** YES PROJECT_ID   ***** FILE content.php ******\n");
		}
		else
		{
			$image = searchForId($matches[2], $wp_result['basket']['fondos']);
			$thumbnail = $image['objeto_path'];
			//dimensiones de la imagen
			$imagesize = getimagesize($thumbnail);
			// width and height
			$scena["id"] = $matches[2];
			$scena["image_width"] = $imagesize[0];
			$scena["image_height"] = $imagesize[1];
			$scena["flippable_x"] = true;
			$scena["image_path"] = $thumbnail;
			$scena["elements_ids"] = array($elementosEscena);
			//$scena["elements_ids"] = array(11,12,13,14);
			$scena["fonts_ids"] = array(70);
			$scena["thumbnail_path"] = $thumbnail;
			$scena["thumbnail_height"] = $imagesize[1]/5;
			$scena["thumbnail_width"] = $imagesize[0]/5;
			$scena["printable_asset_free_for_samples"] = true;
			$scena["printable_image_width"] = 0;
			$scena["printable_image_height"] = 0;
			$scena["metadata"]["recolorable"] = true;

			fwrite($h, "****** NO PROJECT_ID   ***** FILE content.php ******\n");
		}
		$scena = str_replace('\/', '/', json_encode($scena));
		
		echo ($scena);
		
		fwrite($h, "****** MATCHES ".implode(',', $matches)." ***** FILE content.php ******\n");
		fwrite($h, "****** REQUEST ".$request_path." ***** FILE content.php ******\n");
		fwrite($h, "****** Scene: ".$scena." ******\n");
		exit;
	}
	elseif(preg_match('/\/themes\/(\d+)\/scenes\/(\d+)\/printable_image_path$/', $request_path, $matches)) //un fondo en concreto
	{
		fwrite($h, "****** MATCHES ".implode(',', $matches)." ***** FILE content.php ******\n");
		fwrite($h, "****** REQUEST ".$request_path." ***** FILE content.php ******\n");
		if($project_id != '')
		{
			//buscamos escena del array precargado
			foreach($scenes as $key => $value)
			{
				if($value['id'] == $matches[2])
				{
					$printable = $value["image_path"];
				}
			}
		}
		else
		{
			//buscamos escena según id de la URL
			$image = searchForId($matches[2], $wp_result['basket']['fondos']);
			$printable = $image['objeto_path'];
		}
		$printable = str_replace('\/', '/', json_encode($printable));
		$printable = str_replace('"', '', $printable);
		//$printable = str_replace('http://', 'https://', $printable);
		
		fwrite($h, "****** Printable scene: ".$printable." ******\n");
		echo ($printable);
		exit;
	}
	elseif(preg_match('/\/themes\/(\d+)\/elements$/', $request_path, $matches))		//todos los objetos
	{
		$elementos = str_replace('\/', '/', json_encode($elements));
		
		echo $elementos;
		
		fwrite($h, "****** REQUEST ".$request_path." ***** FILE content.php ******\n");
		fwrite($h, "****** Elements: ".$elementos." ******\n");
		exit;
	}
	elseif(preg_match('/\/themes\/(\d+)\/elements\/(\d+)$/', $request_path, $matches))	//objeto en concreto
	{
		if($project_id != '')
		{
			//buscamos escena del array precargado
			foreach($elements as $key => $value)
			{
				if($value['id'] == $matches[2])
				{
					$element = $value;
					fwrite($h, "****** OBJETO ".implode(',', $element)." ***** FILE content.php ******\n");
				}
			}
		}
		else
		{
			//buscamos thumbnail en BigStockPhoto
			$image = searchForId($matches[2], $wp_result['basket']['objetos']);
			$thumbnail = $image['objeto_path'];
	
			//dimensiones de la imagen
			$imagesize = getimagesize($thumbnail);
			
			// width and height
			$element["id"] = $matches[2];
			$element["type"] = "Element";
			$element["default_height"] = 75;
			$element["width"] = $imagesize[0];
			$element["height"] = $imagesize[1];
			$element["flippable_x"] = true;
			$element["has_cutline"] = false;
			$element["image_path"] = $thumbnail;
			$element["thumbnail_path"] = $thumbnail;
			$element["rotatable"] = true;
			$element["printable_asset_free_for_samples"] = true;
			$element["thumbnail_height"] = $imagesize[1]/5;
			$element["thumbnail_width"] = $imagesize[0]/5;
			$element["image_height"] = $imagesize[1];
			$element["image_width"] = $imagesize[0];
		}
		$elemento = str_replace('\/', '/', json_encode($element));
	
		echo $elemento;
		
		fwrite($h, "****** REQUEST ".$request_path." ***** FILE content.php ******\n");	//array de elementos
		fwrite($h, "****** Element: ".$elemento." ******\n");
		exit;
	}
	elseif(preg_match('/\/themes\/(\d+)\/elements\/(\d+)\/printable_image_path$/', $request_path, $matches)) //un fondo en concreto
	{
		fwrite($h, "****** MATCHES ".implode(',', $matches)." ***** FILE content.php ******\n");
		fwrite($h, "****** REQUEST ".$request_path." ***** FILE content.php ******\n");
		if($project_id != '')
		{
			//buscamos escena del array precargado
			foreach($elements as $key => $value)
			{
				if($value['id'] == $matches[2])
				{
					$printable = $value["image_path"];
				}
			}
		}
		else
		{
			//obtenemos id de la tabla ixe_files según el path del archivo
			$image = searchForId($matches[2], $wp_result['basket']['objetos']);
			$thumbnail = $image['objeto_path'];
			$printable = $thumbnail;
		}

		$printable = str_replace('\/', '/', json_encode($printable));
		$printable = str_replace('"', '', $printable);
		//$printable = str_replace('http://', 'https://', $printable);
		
		echo ($printable);
		fwrite($h, "****** Printable element: ".$printable." ******\n");
		exit;
	}
	else
	{
		header('HTTP/1.1 500 Internal Server Error');
		header('Content-Type: text/plain');
		echo "Unknown request";
	}

	fclose($h);
?>