<?php 
	/**
		 @contact   HP WallArt Barcelona Team (abad@hp.com)
	 
		 @version   2.0
		 @date Feb 1 2015
	 
	*   (c) Copyright 2015 Hewlett-Packard Development Company L.P
	*   All rights reserved. Copying or other reproduction of this
	*   program except for archival purposes is prohibited without
	*   written consent of HP Inc.
	*
	*   HP / GSB / LFPro
	*/
	
	
	// if there are many files in your GDrive it can take some time, so disable the max. execution time
	set_time_limit(0);
	
	$_GET['searchresults'] = 1;

	$parameters = array('include_deleted' => true,'recursive' => true, 'path' => '/Fotos', 'include_media_info' => true);
	
	$headers = array('Authorization: Bearer '.$dropbox_token.'',
					 'Content-Type: application/json');
	
	$curlOptions = array(
			CURLOPT_HTTPHEADER => $headers,
			CURLOPT_POST => true,
			CURLOPT_POSTFIELDS => json_encode($parameters),
			CURLOPT_RETURNTRANSFER => true,
			CURLOPT_VERBOSE => true
		);
	
	$ch = curl_init('https://api.dropboxapi.com/2/files/list_folder');
	curl_setopt_array($ch, $curlOptions);
	
	$response = curl_exec($ch);
	
	
	//formatC(json_decode($response, TRUE));
	$list = json_decode($response, TRUE);
	
	curl_close($ch);

	$i = 0;
	foreach($list['entries'] as $k => $v)
	{
		if($v['.tag'] == 'file')
		{
			//get thumbnail
			
			//METHOD 1 :: get_temporary_link
			/*$parameters2 = array("path" => $v['path_display']);
			
			$headers2 = array('Authorization: Bearer '.$dropbox_token.'', 'data: '.json_encode(array("path" => $v['path_display'])).'', 'Content-Type: application/json');
			
			$curlOptions2 = array(
					CURLOPT_HTTPHEADER => $headers2,
					CURLOPT_POST => true,
					CURLOPT_POSTFIELDS => json_encode($parameters2),
					CURLOPT_RETURNTRANSFER => true,
					CURLOPT_VERBOSE => true
				);
			
			$ch2 = curl_init('https://api.dropboxapi.com/2/files/get_temporary_link');
			curl_setopt_array($ch2, $curlOptions2);
			
			$response2 = curl_exec($ch2);
			//echo $response2;
			
			
			//formatC(json_decode($response2, TRUE));
			
			$image = json_decode($response2, TRUE);
			$results[$i]['id'] = $image['metadata']['id'];
			$results[$i]['link'] = $image['link'];
			
			curl_close($ch2);*/
			
			//METHOD 2 :: get_thumbnail

			$param = array('path' => $v['path_display'], 'format' => "jpeg", 'size' => "w640h480");
			
			$head = array('Authorization: Bearer '.$dropbox_token.'', 'Dropbox-API-Arg: '.json_encode($param).'', 'Content-Type: '.NULL.'');
			
			$curlOptions0 = array(
					CURLOPT_HTTPHEADER => $head,
					CURLOPT_RETURNTRANSFER => true,
					CURLOPT_VERBOSE => true
				);
			
			$ch0 = curl_init('https://content.dropboxapi.com/2/files/get_thumbnail');
			curl_setopt_array($ch0, $curlOptions0);
			
			$response0 = curl_exec($ch0);
			
			$base64 = 'data:image/image/jpeg;base64,' . base64_encode($response0);
			
			//$img_data = base64_encode($response0);
			//echo "<img src=\"data:image/jpeg;base64,$img_data\" alt=\"Generating PDF thumbnail failed!\" style=\"border: 1px solid black;\" />";

			//$results[$i]['id'] = $v['rev'];
			$results[$i]['id'] = $k;
			$results[$i]['link'] = $base64;
			//$results[$i]['link'] = 'http://t1.ftcdn.net/jpg/01/38/85/62/400_F_138856222_m9tciAscwAK5MQR7LEw584PprQQhmjZO.jpg';
			
			curl_close($ch0);

			
			$i++;
		}
	}
?>

	<!--Lateral con boton de pasar de paso + carrito compra-->
    <?php
	require_once(dirname(__FILE__).'/navigation.php');
	
	//if($_GET['searchresults'] == '1')
	{
	?>
    <div id="lateral" style="margin-top:1em;">
    	<div class="fijado">
            <!--<a class="boton_continuar" href="?paso=3" title="Continuar al PASO 3">Continuar<span>al PASO 3</span></a>
            <a class="boton_empezar" href="?destroy=1" title="Comenzar el proceso de nuevo">Comenzar <span>de nuevo</span></a>-->
            <?php include(dirname(__FILE__).'/sidebar.inc.php'); ?>
        </div>
	</div>
	<?php
	}
	?>

	<!--Imágenes de uns sugerencia o del buscador-->
	<div id="cat2_id">
        <!--buscador simplficado-->
        <form id="buscadorFondos" class="sinFondo" action="" method="get" enctype="multipart/form-data" style="margin-top:1em;">
            <fieldset>
            <div>
            <input type="text" name="k" id="k" value="<?php echo $_GET['k']; ?>" placeholder="<?php echo __( 'Enter the word to search', 'hpwallart' ); ?>" style="width:23.4%;" />
            
            
            <input class="enviar" type="submit" value="<?php echo __( 'Search', 'hpwallart' ); ?>" />
            <input type="hidden" name="searchresults" id="searchresults" value="1" />
            <input type="hidden" name="size" id="size" value="xl" />
            <input type="hidden" name="language" id="language" value="5" />
            </div>
            </fieldset>
        </form>

        <?php
		if(count($results) >= 1)
		{
		?>
			<?php 
			if($GLOBALS['active_tooltip'] == '1')
			{
			?>
			<script type="text/javascript" src="<?php echo plugins_url( '../js/jquery.ezpz_tooltip.js', __FILE__ ); ?>"></script>
        
            <style type="text/css" media="screen"> 
                h3 { margin-top: 20px; } 
                .tooltip-target { display: block; padding: 10px; background-color: #EEE; text-align: center; } 
                #cat2_id .tooltip-content { display: none; /* required */ position: absolute; /* required */ width: 400px; height:400px; padding: 0; text-align: center; color: black;  overflow:initial;} 
                #cat2_id .tooltip-content img { width:auto;} 
                #fancy-content-1 { border: none; background:#ececec; border-radius:1em; width: 450px; height: 450px; } 
            </style>
            <?php
			}
			?>
            
            <table cellpadding="0" cellspacing="0" width="100%" id="miniaturas">
            <?php	
            $i = 0;
            foreach($results as $key => $value) 
            {
                // iterating only over numeric keys and silently skip other keys
                //if (is_numeric($key)) 
                {
                    if($i % 4 == 0) echo '<tr style="height:250px;">';
            ?>        
                    <td valign="top" align="center" width="25%">
                        <table height="" width="100%" border="0" cellpadding="0" cellspacing="0"> 	
                        <tr>
                            <td valign="top" align="center">
                                <div class="fancy-tooltip-target tooltip-target" id="fancy-target-<?php echo $value['id'] ?>" style="background:url(<?php echo $value['link'];?>) no-repeat center; background-size:contain;"></div>
                                <div class="fancy-tooltip-content tooltip-content" id="fancy-content-<?php echo $value['id'] ?>" style="display: none; z-index:1000000; height:<?php echo 40; ?>px;">
                                    <img src="<?php echo $value['link'];?>" alt="" />
                                    <br />
                                    <?php echo $value['id'] ?>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td valign="bottom" align="center">
                            <?php 
                            if($_SESSION['basket']['fondos'])
                            {
                                $Fondo = false;
                                foreach($_SESSION['basket']['fondos'] as $array)
                                {
                                    if(in_array($value['id'], $array))
                                    {
                                        $Fondo = true;
                                    }
                                }	
                            }
                                                    
                            if($Fondo)
                            {
                            ?>
                                <span onclick="return false;" class="seleccionado"><button><i class="icon-check"></i> <?php echo __( 'Selected', 'hpwallart' ); ?></button></span>
                            <?php 
                            }
                            else
                            {
                            ?>
                                <form id="" class="" action="" method="POST" enctype="multipart/form-data">
                                <a href="javascript: this.form.submit();" title="">
                                    <button onclick="<?php if(count($_SESSION['basket']['fondos']) >= $GLOBALS['nos']) { ?>alert('<?php echo __( 'The maximum number of backgrounds is limited. You must remove at least one photo of the side.', 'hpwallart' ); ?>'); return false; <?php }?>"><i class="icon-check-empty"></i> <?php echo __( 'Select', 'hpwallart' ); ?></button>
                                </a>
                                <input type="hidden" name="searchresults" id="searchresults" value="1" />
                                <input type="hidden" name="tipo" id="tipo" value="1" />
                                <input type="hidden" name="paso" id="paso" value="3" />
                                <input type="hidden" name="objeto_path" id="objeto_path" value="<?php echo $value['link'] ?>" />
                                <input type="hidden" name="id" id="id" value="<?php echo $value['id'] ?>" />
                                <input type="hidden" name="action" id="action" value="add" />
                                </form>
                            <?php 
                            }
                            ?>
                            </td>
                        </tr>
                            <?php //echo $value['id']; ?>
                            <?php //echo $value['width']." x ".$value['height'].' pixeles'; ?>
                        </table>
                    </td>
            <?php        
                    if($i+5 % 4 == 0) echo '</tr>';
                    $i++;
                }
            }
            ?>
            </table>

			<?php 
			if($GLOBALS['active_tooltip'] == '1')
			{
			?>
			<script type="text/javascript" charset="utf-8">
            jQuery(document).ready(function($){ 
                $(".tooltip-target").ezpz_tooltip({
                  contentPosition: 'belowFollow',
                  //offset: -100
                }); 
            });
            </script>
        <?php
			}
		}
		else
		{
		 	echo __( 'No results found', 'hpwallart' );
		}
		?>
	</div>
	<?php
		$TOTAL = count($results);
	
		//obtenemos la paginacion
		$PARAMPAG['num_objs_total'] = $TOTAL;
		$PARAMPAG['searchFromResult'] = $_GET['limit'];
		$PARAMPAG['num_objs_parcial'] = $GLOBALS['nNot'];
		$PARAMPAG['searchResultsPerPage'] = $GLOBALS['nNot'];
		$PARAMPAG["searchPaginationPerPage"] = $GLOBALS['nNot'];
		//$PARAMPAG["path"] = get_permalink( $post->ID );
	
		$PAGINACION = getPagination($PARAMPAG);
		//formatC($PAGINACION);
		
		if ($PAGINACION[NUM_OBJS_TOTAL] > $PARAMPAG['searchResultsPerPage'])
		{
			include(dirname(__FILE__).'/pagination.inc.php');
		}		
	?>