<?php 
	/**
		 @contact   HP WallArt Barcelona Team (abad@hp.com)
	 
		 @version   2.0
		 @date Feb 1 2015
	 
	*   (c) Copyright 2015 Hewlett-Packard Development Company L.P
	*   All rights reserved. Copying or other reproduction of this
	*   program except for archival purposes is prohibited without
	*   written consent of HP Inc.
	*
	*   HP / GSB / LFPro
	*/
		
	// if there are many files in your GDrive it can take some time, so disable the max. execution time
	set_time_limit(0);
	
	$_GET['searchresults'] = 1;
	// Get drobox folder html
	function getResults()
	{
		ob_start();  
		$out = fopen('php://output', 'w');

		$folder = get_option('dropbox_scenes_url'); // Dropbox shared folder link
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, $folder);
		curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.9.2.3) Gecko/20100401 Firefox/3.6.3 (FM Scene 4.6.1)');
		curl_setopt($ch, CURLOPT_REFERER, 'https://www.dropbox.com/');
		curl_setopt($ch, CURLOPT_ENCODING, 'gzip,deflate');
		curl_setopt($ch, CURLOPT_AUTOREFERER, true);
		curl_setopt($ch, CURLOPT_VERBOSE, true);
		curl_setopt($ch, CURLOPT_STDERR, $out);  
		//curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
		curl_setopt($ch, CURLOPT_TIMEOUT, 5);
		curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 1);
		$html = curl_exec ($ch);
		

		fclose($out);  
		$debug = ob_get_clean();
		
		// extract links with DOMDocument
		$dom = new DOMDocument();
		@$dom->loadHTML($html);
		$links = $dom->getElementsByTagName('a');
		$processed_links = array();
		foreach ($links as $link)
		{
			if ($link->hasAttribute('class')&& $link->hasAttribute('href'))
			{
				foreach ($link->attributes as $a)
				{
					if ($a->value=='filename-link')   
					{
						$processed_links[$link->getAttribute('href')] = $link->getAttribute('href');
					}
		
				}
			}
		}
	
		//formatC($processed_links);
		$exts = $processed_links;
		
		$i = 0;
		foreach ($exts as $ext)
		{
			$url = $ext;
			$path = parse_url($url, PHP_URL_PATH);
			$parts_path = explode('/', $path);
			$ext2 = strtolower(pathinfo($path, PATHINFO_EXTENSION));
		
			if($ext2 == 'jpg')
			{
				$RESULT[$i]['id'] = $parts_path[3];
				$RESULT[$i]['url'] = 'https://dl.dropbox.com'.$path;
			}
			elseif ($ext2 == 'txt')
			{
				$first = "https://dl.dropbox.com";
		
				$ch2 = curl_init();
				curl_setopt($ch2, CURLOPT_URL, $first.$path); // textfile
				curl_setopt($ch2, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.9.2.3) Gecko/20100401 Firefox/3.6.3 (FM Scene 4.6.1)');
				curl_setopt($ch2, CURLOPT_REFERER, 'https://www.dropbox.com/');
				curl_setopt($ch2, CURLOPT_ENCODING, 'gzip,deflate');
				curl_setopt($ch2, CURLOPT_AUTOREFERER, true);
				curl_setopt($ch2, CURLOPT_VERBOSE, true);
				//curl_setopt($ch2, CURLOPT_FOLLOWLOCATION, true);
				curl_setopt($ch2, CURLOPT_TIMEOUT, 5);
				curl_setopt($ch2, CURLOPT_RETURNTRANSFER, 1);
				$str =curl_exec ($ch2);
		
				//$RESULT = preg_replace('!\r?\n!', '<br>', $str);
			}
			else
			{
				$i--;
			}
			$i++;
		}
		return($RESULT);
	}

require_once(dirname(__FILE__).'/includes/classes/dropbox/lib/Dropbox/autoload.php');
?>
	<!--Lateral con boton de pasar de paso + carrito compra-->
    <?php
	require_once(dirname(__FILE__).'/navigation.php');
	
	//if($_GET['searchresults'] == '1')
	{
	?>
    <div id="lateral" style="margin-top:1em;">
    	<div class="fijado">
            <!--<a class="boton_continuar" href="?paso=3" title="Continuar al PASO 3">Continuar<span>al PASO 3</span></a>
            <a class="boton_empezar" href="?destroy=1" title="Comenzar el proceso de nuevo">Comenzar <span>de nuevo</span></a>-->
            <?php include(dirname(__FILE__).'/sidebar.inc.php'); ?>
        </div>
	</div>
	<?php
	}
	?>

	<?php
	/*if(!$_GET['searchresults'] && !$_GET['k'])
	{
		//$files = $dropbox->GetFiles("scenes", false);
		//formatC($files);
	?>
    <!--<h1 style="padding-bottom:0;"><?php echo __( 'Search for backgrounds', 'hpwallart' ); ?></h1>
	buscador general como el de airbnb-->
	<div id="cat1_id" style="width:100%;">
    <form id="buscadorFondos" class="" action="" method="get" enctype="multipart/form-data" style="width:100%; background-size:100%;">
        <fieldset>
        <div style="height:600px; background-color:rgba(33,20,21,0.4); text-align:center;">
        <p style="font-size:2em; line-height:2em; margin:4em 0 0 0; color:white;"><?php echo __( 'USE THE SEARCH ENGINE TO FIND THE IMAGES YOU WANT', 'hpwallart' ); ?></p>
        <p style="font-size:1.2em; line-height:1em; margin:3em 0; color:white;"><?php echo __( 'Search over 13 million images in our search engine.', 'hpwallart' ); ?></p>
        <input type="text" name="k" id="k" value="<?php echo $_GET['k']; ?>" style="width:38%; margin-left:0.5em;" placeholder="<?php echo __( 'Enter the word to search', 'hpwallart' ); ?>"/>

        <input class="enviar" type="submit" value="<?php echo __( 'Search', 'hpwallart' ); ?>" />
        <input type="hidden" name="searchresults" id="searchresults" value="1" />
        <input type="hidden" name="size" id="size" value="xl" />
        <input type="hidden" name="language" id="language" value="5" />
        </div>
        </fieldset>
    </form>

	</div>

	<?php
	}*/
	?>
	<!--Imágenes de uns sugerencia o del buscador-->
	<?php
	//if($_GET['searchresults'])
	{
		$results = getResults();
		//formatC($results);
	?>
	<div id="cat2_id" style="margin-top:1em;">
        <!--buscador simplficado
        <form id="buscadorFondos" class="sinFondo" action="" method="get" enctype="multipart/form-data">
            <fieldset>
            <div>
            <input type="text" name="k" id="k" value="<?php echo $_GET['k']; ?>" placeholder="<?php echo __( 'Enter the word to search', 'hpwallart' ); ?>" style="width:23.4%;" />
            
            
            <input class="enviar" type="submit" value="<?php echo __( 'Search', 'hpwallart' ); ?>" />
            <input type="hidden" name="searchresults" id="searchresults" value="1" />
            <input type="hidden" name="size" id="size" value="xl" />
            <input type="hidden" name="language" id="language" value="5" />
            </div>
            </fieldset>
        </form>-->

        <!--<h2 style="display:block; text-align:left; ">
        	<a href="/es/proceso" title="">fondos</a><?php echo $categoria ?>
        </h2>-->
        <?php
		if(count($results) >= 1)
		{
		?>
			<?php 
			if($GLOBALS['active_tooltip'] == '1')
			{
			?>
			<script type="text/javascript" src="<?php echo plugins_url( '../js/jquery.ezpz_tooltip.js', __FILE__ ); ?>"></script>
        
            <style type="text/css" media="screen"> 
                h3 { margin-top: 20px; } 
                .tooltip-target { display: block; padding: 10px; background-color: #EEE; text-align: center; } 
                #cat2_id .tooltip-content { display: none; /* required */ position: absolute; /* required */ width: 400px; height:400px; padding: 0; text-align: center; color: black;  overflow:initial;} 
                #cat2_id .tooltip-content img { width:auto;} 
                #fancy-content-1 { border: none; background:#ececec; border-radius:1em; width: 450px; height: 450px; } 
            </style>
            <?php
			}
			?>
            
            <table cellpadding="0" cellspacing="0" width="100%" id="miniaturas">
            <?php	
            $i = 0;
			$value = $results;
			
			if(!isset($_GET['limit'])) $_GET['limit'] = 0; 
			
			for($i = $_GET['limit']; $i < $GLOBALS['nNot']+$_GET['limit']; $i++)
            //foreach($results['viewerItems'] as $key => $value) 
            {
			    // iterating only over numeric keys and silently skip other keys
                if ($value[$i]->is_dir != '1' && isset($value[$i])) 
                {
                    if($i % 4 == 0) echo '<tr style="height:250px;">';
					
					//$img_data = base64_encode($dropbox->GetThumbnail($value->path, 'l'));
					//'data:image/jpeg;base64,<?php echo $img_data; 
					
					$img_url = $value[$i]['url'];
            ?>        
                    <td valign="top" align="center" width="25%">
                        <table height="" width="100%" border="0" cellpadding="0" cellspacing="0"> 	
                        <tr>
                            <td valign="top" align="center">
                                <div class="fancy-tooltip-target tooltip-target" id="fancy-target-<?php echo $i ?>" style="background:url(<?php echo $img_url ?>) no-repeat center; background-size:contain;"></div>
								<?php 
                                if($GLOBALS['active_tooltip'] == '1')
                                {
                                ?>
                                <div class="fancy-tooltip-content tooltip-content" id="fancy-content-<?php echo $i ?>" style="display: none; z-index:1000000; height:40px;">
                                    <img src="<?php echo $value[$i]['url'];?>" alt="" />
                                    <br />
                                    <?php echo $value[$i]['id'] ?>
                                </div>
                                <?php
								}
								?>
                            </td>
                        </tr>
                        <tr>
                            <td valign="bottom" align="center">
                            <?php 
                            if($_SESSION['basket']['fondos'])
                            {
                                $Fondo = false;
                                foreach($_SESSION['basket']['fondos'] as $array)
                                {
                                    if(in_array($value[$i]['id'], $array))
                                    {
                                        $Fondo = true;
                                    }
                                }	
                            }
                                                    
                            if($Fondo)
                            {
                            ?>
                                <span onclick="return false;" class="seleccionado"><button><i class="icon-check"></i> <?php echo __( 'Selected', 'hpwallart' ); ?></button></span>
                            <?php 
                            }
                            else
                            {
                            ?>
                                <form id="" class="" action="" method="POST" enctype="multipart/form-data">
                                <a href="javascript: this.form.submit();" title="">
                                    <button onclick="<?php if(count($_SESSION['basket']['fondos']) >= $GLOBALS['nos']) { ?>alert('<?php echo __( 'The maximum number of backgrounds is limited. You must remove at least one photo of the side.', 'hpwallart' ); ?>'); return false; <?php }?>"><i class="icon-check-empty"></i> <?php echo __( 'Select', 'hpwallart' ); ?></button>
                                </a>
                                <input type="hidden" name="tipo" id="tipo" value="1" />
                                <input type="hidden" name="paso" id="paso" value="3" />
                                <input type="hidden" name="objeto_path" id="objeto_path" value="<?php echo $img_url ?>" />
                                <input type="hidden" name="id" id="id" value="<?php echo $value[$i]['id'] ?>" />
                                <input type="hidden" name="action" id="action" value="add" />
                                </form>
                            <?php 
                            }
                            ?>
                            </td>
                        </tr>
                            <?php //echo $value['id']; ?>
                            <?php //echo $value['width']." x ".$value['height'].' pixeles'; ?>
                        </table>
                    </td>
            <?php        
                    if($i+5 % 4 == 0) echo '</tr>';
                    //$i++;
                }
				/*else
				{
					echo '<td valign="top" align="center" width="25%">carpeta</td>';
				}*/
            }
            ?>
            </table>

			<?php 
			if($GLOBALS['active_tooltip'] == '1')
			{
			?>
			<script type="text/javascript" charset="utf-8">
            jQuery(document).ready(function($){ 
                $(".tooltip-target").ezpz_tooltip({
                  contentPosition: 'belowFollow',
                  //offset: -100
                }); 
            });
            </script>
        <?php
			}
		}
		else
		{
		 	echo __( 'No results found', 'hpwallart' );
		}
		?>
	</div>
	<?php
		$TOTAL = count($results);
	
		//obtenemos la paginacion
		$PARAMPAG['num_objs_total'] = $TOTAL;
		$PARAMPAG['searchFromResult'] = $_GET['limit'];
		$PARAMPAG['num_objs_parcial'] = $GLOBALS['nNot'];
		$PARAMPAG['searchResultsPerPage'] = $GLOBALS['nNot'];
		$PARAMPAG["searchPaginationPerPage"] = $GLOBALS['nNot'];
		$PARAMPAG["path"] = get_permalink( $post->ID );
	
		$PAGINACION = getPagination($PARAMPAG);
		//formatC($PAGINACION);
		
		if ($PAGINACION[NUM_OBJS_TOTAL] > $PARAMPAG['searchResultsPerPage'])
		{
			include(dirname(__FILE__).'/pagination.inc.php');
		}
	}
	?>	