<?php 
	/**
		 @contact   HP WallArt Barcelona Team (abad@hp.com)
	 
		 @version   2.0
		 @date Feb 1 2015
	 
	*   (c) Copyright 2015 Hewlett-Packard Development Company L.P
	*   All rights reserved. Copying or other reproduction of this
	*   program except for archival purposes is prohibited without
	*   written consent of HP Inc.
	*
	*   HP / GSB / LFPro
	*/	
	// if there are many files in your GDrive it can take some time, so disable the max. execution time
	set_time_limit(0);
	
	$_GET['searchresults'] = 1;



	$access_token = get_option('instagram_access_token');
	
	//Get items paginated
	$api = "https://api.instagram.com/v1/users/self/media/recent/?count=".$GLOBALS['nNot']."&max_id=".$_GET['max_id']."&access_token=" . $access_token;
	
	function get_curl($url) 
	{
		if(function_exists('curl_init')) 
		{
			$ch = curl_init();
			curl_setopt($ch, CURLOPT_URL,$url);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($ch, CURLOPT_HEADER, 0);
			curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
			curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
			
			$output = curl_exec($ch);
			echo curl_error($ch);
			curl_close($ch);
			return $output;
		} 
		else
		{	
			return file_get_contents($url);
		}
	}

	$response = json_decode(get_curl($api), true);

	formatC($response,1);

	$i = 0;
	foreach ($response['data'] as $item) 
	{
		$idimage = explode('_', $item['id']);
		$results[$i]['id'] = $idimage[0];
		$results[$i]['link'] = $item['images']['standard_resolution']['url'];
		$i++;
	}
?>
	<!--Lateral con boton de pasar de paso + carrito compra-->
    <?php
	require_once(dirname(__FILE__).'/navigation.php');
	
	//if($_GET['searchresults'] == '1')
	{
	?>
    <div id="lateral" style="margin-top:1em;">
    	<div class="fijado">
            <!--<a class="boton_continuar" href="?paso=3" title="Continuar al PASO 3">Continuar<span>al PASO 3</span></a>
            <a class="boton_empezar" href="?destroy=1" title="Comenzar el proceso de nuevo">Comenzar <span>de nuevo</span></a>-->
            <?php include(dirname(__FILE__).'/sidebar.inc.php'); ?>
        </div>
	</div>
	<?php
	}
	?>

	<!--Imágenes de uns sugerencia o del buscador-->
	<div id="cat2_id">
        <!--buscador simplficado
        <form id="buscadorFondos" class="sinFondo" action="" method="get" enctype="multipart/form-data" style="margin-top:1em;">
            <fieldset>
            <div>
            <input type="text" name="k" id="k" value="<?php echo $_GET['k']; ?>" placeholder="<?php echo __( 'Enter the word to search', 'hpwallart' ); ?>" style="width:23.4%;" />
            
            
            <input class="enviar" type="submit" value="<?php echo __( 'Search', 'hpwallart' ); ?>" />
            <input type="hidden" name="searchresults" id="searchresults" value="1" />
            <input type="hidden" name="size" id="size" value="xl" />
            <input type="hidden" name="language" id="language" value="5" />
            </div>
            </fieldset>
        </form>-->

        <?php
		if(count($results) >= 1)
		{
		?>
			<?php 
			if($GLOBALS['active_tooltip'] == '1')
			{
			?>
			<script type="text/javascript" src="<?php echo plugins_url( '../js/jquery.ezpz_tooltip.js', __FILE__ ); ?>"></script>
        
            <style type="text/css" media="screen"> 
                h3 { margin-top: 20px; } 
                .tooltip-target { display: block; padding: 10px; background-color: #EEE; text-align: center; } 
                #cat2_id .tooltip-content { display: none; /* required */ position: absolute; /* required */ width: 400px; height:400px; padding: 0; text-align: center; color: black;  overflow:initial;} 
                #cat2_id .tooltip-content img { width:auto;} 
                #fancy-content-1 { border: none; background:#ececec; border-radius:1em; width: 450px; height: 450px; } 
            </style>
            <?php
			}
			?>
            
            <table cellpadding="0" cellspacing="0" width="100%" id="miniaturas">
            <?php	
            $i = 0;
            foreach($results as $key => $value) 
            {
                // iterating only over numeric keys and silently skip other keys
                //if (is_numeric($key)) 
                {
                    if($i % 4 == 0) echo '<tr style="height:250px;">';
            ?>        
                    <td valign="top" align="center" width="25%">
                        <table height="" width="100%" border="0" cellpadding="0" cellspacing="0"> 	
                        <tr>
                            <td valign="top" align="center">
                                <div class="fancy-tooltip-target tooltip-target" id="fancy-target-<?php echo $value['id'] ?>" style="background:url(<?php echo $value['link'];?>) no-repeat center; background-size:contain;"></div>
                                <div class="fancy-tooltip-content tooltip-content" id="fancy-content-<?php echo $value['id'] ?>" style="display: none; z-index:1000000; height:<?php echo 40; ?>px;">
                                    <img src="<?php echo $value['link'];?>" alt="" />
                                    <br />
                                    <?php echo $value['id'] ?>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td valign="bottom" align="center">
                            <?php 
                            if($_SESSION['basket']['fondos'])
                            {
                                $Fondo = false;
                                foreach($_SESSION['basket']['fondos'] as $array)
                                {
                                    if(in_array($value['id'], $array))
                                    {
                                        $Fondo = true;
                                    }
                                }	
                            }
                                                    
                            if($Fondo)
                            {
                            ?>
                                <span onclick="return false;" class="seleccionado"><button><i class="icon-check"></i> <?php echo __( 'Selected', 'hpwallart' ); ?></button></span>
                            <?php 
                            }
                            else
                            {
                            ?>
                                <form id="" class="" action="" method="POST" enctype="multipart/form-data">
                                <a href="javascript: this.form.submit();" title="">
                                    <button onclick="<?php if(count($_SESSION['basket']['fondos']) >= $GLOBALS['nos']) { ?>alert('<?php echo __( 'The maximum number of backgrounds is limited. You must remove at least one photo of the side.', 'hpwallart' ); ?>'); return false; <?php }?>"><i class="icon-check-empty"></i> <?php echo __( 'Select', 'hpwallart' ); ?></button>
                                </a>
                                <input type="hidden" name="searchresults" id="searchresults" value="1" />
                                <input type="hidden" name="tipo" id="tipo" value="1" />
                                <input type="hidden" name="paso" id="paso" value="3" />
                                <input type="hidden" name="objeto_path" id="objeto_path" value="<?php echo $value['link'] ?>" />
                                <input type="hidden" name="id" id="id" value="<?php echo $value['id'] ?>" />
                                <input type="hidden" name="action" id="action" value="add" />
                                </form>
                            <?php 
                            }
                            ?>
                            </td>
                        </tr>
                            <?php //echo $value['id']; ?>
                            <?php //echo $value['width']." x ".$value['height'].' pixeles'; ?>
                        </table>
                    </td>
            <?php        
                    if($i+5 % 4 == 0) echo '</tr>';
                    $i++;
                }
            }
            ?>
            </table>

			<?php 
			if($GLOBALS['active_tooltip'] == '1')
			{
			?>
			<script type="text/javascript" charset="utf-8">
            jQuery(document).ready(function($){ 
                $(".tooltip-target").ezpz_tooltip({
                  contentPosition: 'belowFollow',
                  //offset: -100
                }); 
            });
            </script>
        <?php
			}
		}
		else
		{
		 	echo __( 'No results found', 'hpwallart' );
		}
		?>
	</div>
	<?php
		//$TOTAL = $total;
	
		
		//if($total > $GLOBALS['nNot'])
		{
			$querystring = "";
			foreach ($_GET as $key => $value) 
			{
				if ($key != "max_id" && $key != "pg") $querystring .= "$key=$value&amp;";
			}
			
			if (!isset($_GET['max_id'])) {
				$page = NULL;
			} else {
				$page = $_GET['max_id'];
			}
			
			if (!isset($_GET['pg'])) {
				$pg = 1;
			} else {
				$pg = $_GET['pg'];
			}
			
			if (isset($_SESSION['max_id'][$pg])) {
				$page = $_SESSION['max_id'][$pg];
			} else {
				$_SESSION['max_id'][$pg] = $page;
			}
			$previous = $pg - 1;

		?>
            <div id="Paginado">
                <ul>
					<?php
					if($_GET['max_id'] != '')
					{
					?>	
                		<li><a href="<?php echo $PARAMPAG['path']; ?>?<?php echo $querystring; ?>&max_id=<?php echo $_SESSION['max_id'][$previous] ?>&pg=<?php echo ($pg - 1); ?>"><i class="fa fa-chevron-left" aria-hidden="true"></i>&nbsp;<?php echo __( 'Previous', 'hpwallart' ) ?>&nbsp;</a></li>
                    <?php
					}

					if($response['pagination']['next_max_id'] != '')
					{
					?>	
                    	<li><a href="<?php echo $PARAMPAG['path']; ?>?<?php echo $querystring; ?>&max_id=<?php echo $response['pagination']['next_max_id'] ?>&pg=<?php echo ($pg + 1); ?>"><?php echo __( 'Next', 'hpwallart' ) ?>&nbsp;<i class="fa fa-chevron-right" aria-hidden="true"></i></a></li>
                    <?php
					}
					?>
                </ul>
            </div>
		<?php
        }
//		formatC($_SESSION);		
	?>