<?php 
	/**
		 @contact   HP WallArt Barcelona Team (abad@hp.com)
	 
		 @version   1.0
		 @date Feb 1 2015
	 
	*   (c) Copyright 2018 Hewlett-Packard Development Company L.P
	*   All rights reserved. Copying or other reproduction of this
	*   program except for archival purposes is prohibited without
	*   written consent of HP Inc.
	*
	*   HP / GSB / LFPro
	*/
	ini_set('display_errors', 0); 
	error_reporting(E_ALL & ~E_NOTICE);
//	$parse_uri = explode( 'wp-content', $_SERVER['SCRIPT_FILENAME'] );
//	require_once( $parse_uri[0] . 'wp-load.php' );
//	require_once( $_SERVER['DOCUMENT_ROOT'].'/wp-load.php' );
	require_once( '../../../../wp-load.php' );

	global $woocommerce;
	
	$base_url = get_option('hp_wallart_base_url');

	$url = 'https://store.hpwallart.com/'.$base_url.'/projects/'.$_GET['id'];
	$ch = curl_init($url);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
	$response = curl_exec($ch);
	
//	echo '<pre>';
//	print_r(json_decode($response, true));
//	exit;
	
	$data = json_decode($response, true);
	
	//2017-09-14 UPDATE FROM CK
	if($data['product_descriptor']['product_sku'] == 'WA_WD' || $data['product_descriptor']['product_sku'] == 'FGR' || $data['product_descriptor']['product_sku'] == 'WGR' || $data['product_descriptor']['product_sku'] == 'STK' || $data['product_descriptor']['product_sku'] == 'MGN' || $data['product_descriptor']['product_sku'] == 'CPT' || $data['product_descriptor']['product_sku'] == 'BRL' || $data['product_descriptor']['product_sku'] == 'VAN')
	{
		$width = $data['product_descriptor']['product_size'][0]['width']; 
		$height = $data['product_descriptor']['product_size'][0]['height']; 
		
		$_SESSION['basket']['ancho'] = $data['product_descriptor']['product_size'][0]['width']; 
		$_SESSION['basket']['alto'] = $data['product_descriptor']['product_size'][0]['height']; 
	}
	else
	{
		$width = $data['width'];
		$height = $data['height'];
	}
	
	$id_devuelto = $data['id'];

	$project_id = $_GET['id'];

	//retrieve order id for update instead to create a new one !!!!! VERY IMPORTANT FOR UPDATE AND NOT CREATE
	WC()->session->order_awaiting_payment = $project_id;
	
//	formatC(WC()->session, 0, 'session');
//	formatC(WC()->session->cart, 0, 'carro en sesion');
	
	//LOAD CATEGORIES
	$categories = unserialize(get_option('wallart_data'));
	
	foreach($categories['applications'] as $k => $v)
	{
		$CATEGORY[$v['sku']] = $v['name'];
	}

	foreach($categories['application_groups'] as $k2 => $v2)
	{
		foreach($v2['applications'] as $k => $v)
		{
			$CATEGORY[$v['sku']] = $v['name'];
		}
	}
	
//	print_r($CATEGORY);
	//Update order, not create a new one
	$order = wc_update_order( array ( 'order_id' => $project_id ) );
	$order->update_status('pending', '');
	$item = $order->get_items('line_item');
	
//	echo '<pre>';
//	print_r($order);
//	exit;
	wc_update_order_item_meta(key($item), '_fotolia', $data['price']['fotolia']['price']);
	wc_update_order_item_meta(key($item), '_pattern_design', $data['price']['pattern_design']['price']);
	wc_update_order_item_meta(key($item), '_dreamstime', $data['price']['dreamstime']['price']);
	wc_update_order_item_meta(key($item), '_adobe', $data['price']['adobe_stock']['price']);
	wc_update_order_item_meta(key($item), '_width', $width);
	wc_update_order_item_meta(key($item), '_height', $height);
	wc_update_order_item_meta(key($item), '_type', $data['product_descriptor']['product_sku']);
	wc_update_order_item_meta(key($item), '_category', $CATEGORY[$data['product_descriptor']['product_sku']]);
	wc_update_order_item_meta(key($item), '_status', 'IN_CART' );
	wc_update_order_item_meta(key($item), '_preview', 'https://store.hpwallart.com/'.$base_url.'/projects/'.$project_id.'/preview_small.png' );
	wc_update_order_item_meta(key($item), '_id_hpwallart', $data['id'] );
	//wc_update_order_item_meta(key($item), '_data', $data['_data'] );

	//ATENCIÓN!!!::aqui deberiamos saber el precio base del tipo SKU por si ha cambiado de SKU
	
	$wp_result_priceBase = wc_get_order_item_meta(key($item), '_priceBase');

	//looking for square meters
	$hpwallart_unit_system = get_option('hpwallart_unit_system');

	if($hpwallart_unit_system == 'Imperial')
	{
		 $factor = '0.3937';
		 $divisor = '144';
		 $wp_result_priceBase = $data['price']['media_substrate_info']['price_per_sqft'];
	}
	elseif($hpwallart_unit_system == 'Metric')
	{
		 $factor = '1';
		 $divisor = '10000';
		 $wp_result_priceBase = $data['price']['media_substrate_info']['price_per_sqm'];
	}

	$metros = number_format($width,2)*number_format($height,2)/$divisor;

	$precio_recalculado = $metros*$wp_result_priceBase;

//	echo $precio_recalculado; exit;
	
	//save new dimensions and new price before VAT
	wc_update_order_item_meta(key($item), '_price', $precio_recalculado);
	//wc_update_order_item_meta(key($item), '_priceBase', $precio_recalculado);
	wc_update_order_item_meta(key($item), '_line_total', $precio_recalculado);
	wc_update_order_item_meta(key($item), '_line_subtotal', $precio_recalculado);
	
	//update cart price
	update_post_meta($project_id, '_order_total', $precio_recalculado);
	//calculate order total before checkout
	$order->calculate_totals();
	//exit;
	$checkout_url = $woocommerce->cart->get_cart_url();
	// $checkout_url = $woocommerce->cart->get_checkout_url();
	$change_tipo_id =0;
	$media_id = $data['price']['media_substrate_info']['id'];
	$change_tipo_id = $_SESSION['resultado'][$media_id];

	$product_id = $_SESSION['basket']['tipo'];
	if($product_id == ''){
       $product_id = get_option('tipo_'.$project_id);
	}
	$found = false;

	/* Multiple Cart: Checking any cart item added to cart. if not creating a new one based on product id. */
	/* Multiple Cart: START>>> */
	if ( sizeof( $woocommerce->cart->get_cart() ) > 0 ) {
		foreach ( $woocommerce->cart->get_cart() as $cart_item_key => $values ) {
			$_product = $values['data'];

			if ( $_product->id == $product_id )
				$found = true;
		}
		// if product not found, add it
		if ( ! $found )
			$woocommerce->cart->add_to_cart( $product_id, $quantity = 1);
		} else {
		// if no products in cart, add it
		$woocommerce->cart->add_to_cart( $product_id, $quantity = 1);
		}
		foreach ( $woocommerce->cart->get_cart() as $cart_item_key => $values ) {
			// echo "new";
		}
		$_SESSION['session']['key'] = $values['key'];
		// echo $_SESSION['session']['key'];
	    /* Multiple Cart: >>>END */
	
	//Adding data to WC session to retrieve in thankyou.php page
	$datos['_name'] = $data['name'];
	$datos['_width'] = $width;
	$datos['_height'] = $height;
	$datos['_type'] = $data['product_descriptor']['product_sku'];
	$datos['_category'] = $CATEGORY[$data['product_descriptor']['product_sku']];
	$datos['_status'] = 'IN_CART';
	$datos['_preview'] = 'https://store.hpwallart.com/'.$base_url.'/projects/'.$project_id.'/preview_large.png';
	$datos['_price'] = $precio_recalculado;
	$datos['_price_original'] = $wp_result_priceBase;
	$datos['_line_total'] = $precio_recalculado;
	$datos['_line_subtotal'] = $precio_recalculado;
	$datos['_id_hpwallart'] = $data['id'];
	
	$datos['_fotolia'] = $data['price']['fotolia']['price'];
	$datos['_pattern_design'] = $data['price']['pattern_design']['price'];
	$datos['_dreamstime'] = $data['price']['dreamstime']['price'];
	$datos['_adobe'] = $data['price']['adobe_stock']['price'];

	if($_SESSION['basket']['fondos'])
	{
		foreach($_SESSION['basket']['fondos'] as $k => $val)
		{
			$datos['_backgrounds'][$k]['id'] = $val['id'];
			$datos['_backgrounds'][$k]['path'] = $val['objeto_path'];
		}
	}
	
	if($_SESSION['basket']['objetos'])
	{
		foreach($_SESSION['basket']['objetos'] as $k => $val)
		{
			$datos['_objects'][$k]['id'] = $val['id'];
			$datos['_objects'][$k]['path'] = $val['objeto_path'];
		}
	}

	/* Multiple Cart: START>>> */
	// WC()->session->set('_lm_product_data', $datos);

	foreach ( WC()->cart->get_cart() as $cart_item_key => $cart_item ) {

		if($cart_item['key'] == $_SESSION['session']['key']){
               // echo "cart matched". $_SESSION['session']['key'];
               // print_r($cart_item);
               $cart_key = $cart_item['key'];
               $cart_item['_name'] = $data['name'];
               $cart_item['_width'] = $width;
	           $cart_item['_height'] = $height;
	           $cart_item['_price'] = $precio_recalculado;
	          $cart_item[$cart_key] = 'https://store.hpwallart.com/'.$base_url.'/projects/'.$project_id.'/preview_large.png';
	           $cart_item['_status'] = 'IN_CART';
			   $cart_item['_price_original'] = $wp_result_priceBase;
			   $cart_item['_line_total'] = $precio_recalculado;
	           $cart_item['_line_subtotal'] = $precio_recalculado;
	           $cart_item['_id_hpwallart'] = $data['id'];
	           $cart_item['_fotolia'] = $data['price']['fotolia']['price'];
	           $cart_item['_pattern_design'] = $data['price']['pattern_design']['price'];
	           $cart_item['_dreamstime'] = $data['price']['dreamstime']['price'];
	           $cart_item['_adobe'] = $data['price']['adobe_stock']['price'];
	           $_SESSION[$cart_key] = $cart_item[$cart_key];
	           WC()->session->set($cart_key,  $cart_item);
		}
	}  
   /* Multiple Cart: >>>END */	
	header('Location: '.$checkout_url.'?order_id='.$project_id);
	header('Location: '.$checkout_url);
?>