<?php

/**
 * oauth-php: Example OAuth client
 *
 * Performs simple 2-legged authentication
 *
 * @author Ben Hesketh
 *
 * 
 * The MIT License
 * 
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */


include_once "../../library/OAuthStore.php";
include_once "../../library/OAuthRequester.php";

// Test of the OAuthStore2Leg 

//Model ECommerceSite oAuth provider
/*$key = 'MXRGEqVJgmt2enNmFQNp40OyCQr6QXGVeqamO8wP'; // fill with your public key 
$secret = 'm8BTC53uxrU8sCfC3xH6B3ks4fyFTNZ1h2uhFE6m'; // fill with your secret key
$url = "http://model-e-commerce-site-services.integration.hp-wallart.com/oauth/request_token"; // fill with the url for the oauth service
*/
//Your Site oAuth provider

$key = 'a96508aa073354d8f6c93daf7675c467052095160'; // fill with your public key 
$secret = 'a3f2acbfff0b53ad72c7f4fef22bad62'; // fill with your secret key

$options = array('consumer_key' => $key, 'consumer_secret' => $secret);
OAuthStore::instance("2Leg", $options);

$method = "GET";
$params = NULL;

try
{
	switch($_GET['realm'])	//https://www.hpwallart.com/reopen_project?id=7f167e65-feb4-57da-2c26-7fa9c01e523d
	{
		//sacar datos de un proyecto
		case 'trigger_rendering':
		{
			//nuevo usuario
			$method = "POST";
			$params = NULL;
			echo $body = json_encode(array("job_id" => "27056", "project_id" => "7f167e65-feb4-57da-2c26-7fa9c01e523d", "barcode_text" => "27056", "callback_url" => "http://www.personalizatupared.com/oauth/example/server/www/oauth.php", "e_commerce_site_internal_name" => "rotulosbia", "id" => "27056"));
			echo $url = "http://designer.hpwallart.com/rotulosbia/projects/7f167e65-feb4-57da-2c26-7fa9c01e523d/trigger_rendering"; // fill with the url for the oauth service
			$request = new OAuthRequester($url, $method, $params, $body);
		
			$curl_opt = array( 
			  CURLOPT_HTTPHEADER => array("Accept: text/xml;q=1.0,application/json;q=0.0;application/php;q=0.0", "Host: store.hpwallart.com", "Content-Type: application/json", "Content-Length: ".strlen($body))
			);

			// Sign the request, perform a curl request and return the results, 
			// throws OAuthException2 exception on an error
			// $result is an array of the form: array ('code'=>int, 'headers'=>array(), 'body'=>string)
			$result = $request->doRequest(0, $curl_opt);
			
			$response = $result['body'];
			$response1 = $result['code'];
			$response2 = $result['headers'];
			echo '<pre>';
			var_dump($response);
			print_r(json_decode($response));
			print_r(json_decode($response1));
			print_r($response2);
		}break;

		//sacar datos de un proyecto
		case 'projects':
		{
			//Listado de todos los alumnos
			$method = "GET";
			$params = NULL;
			echo $url = "http://designer.hpwallart.com/rotulosbia/projects/25771"; // fill with the url for the oauth service
			$request = new OAuthRequester($url, $method, $params);
		
			// Sign the request, perform a curl request and return the results, 
			// throws OAuthException2 exception on an error
			// $result is an array of the form: array ('code'=>int, 'headers'=>array(), 'body'=>string)
			$result = $request->doRequest();
			
			$response = $result['body'];
			$response1 = $result['code'];
			$response2 = $result['headers'];
			echo '<pre>';
			print_r(json_decode($response));
			print_r(json_decode($response1));
			print_r($response2);
		}break;
	}
}
catch(OAuthException2 $e)
{
	echo "Exception => " . $e;
}

?>
