<?php
	/**
	@contact   HP WallArt Barcelona Team (abad@hp.com)
	 
	@version   1.0
	@date Feb 1 2015
	 
	*   (c) Copyright 2018 Hewlett-Packard Development Company L.P
	*   All rights reserved. Copying or other reproduction of this
	*   program except for archival purposes is prohibited without
	*   written consent of HP Inc.
	*
	*   HP / GSB / LFPro
	*/
	ini_set('display_errors', 0); 
	error_reporting(E_ALL & ~E_NOTICE);
	//wp_head();
	get_header();
	
	//echo plugin_dir_url( __DIR__ );

	$GLOBALS['nNot'] = get_option('items_per_page');
	$GLOBALS['nos'] = get_option('number_of_scenes');
	$GLOBALS['noe'] = get_option('number_of_elements');
	$GLOBALS['active_tooltip'] = get_option('active_tooltip');
	$use_backgrounds = get_option('use_backgrounds');
	$use_objects = get_option('use_objects');
	
	
	//STEP 1: enter new on this page
	if(!isset($_SESSION['basket']['paso']) /*&& !$_SESSION['basket'] && !$_SESSION['user']  && !$_SESSION['temp_user']*/)
	{
		$_SESSION['basket']['paso'] = '1';
	}
	require_once(dirname(__FILE__).'/includes/functions.php');

	//get data from hpwallart
	
	$data_hpwallart = unserialize(get_option('wallart_data'));

	//LOAD STOCK IMAGINERIES
	foreach($data_hpwallart['applications'] as $k => $v)
	{ 
		
		if($_SESSION['basket']['type'] == $v['sku'] && get_option('use_'.$v['sku']) == 1)
		{
			$stock_backgrounds = get_option($v['sku'].'_backgrounds');
			$stock_objects = get_option($v['sku'].'_objects');
		}
	}

	foreach($data_hpwallart['application_groups'] as $k2 => $v2)
	{
		foreach($v2['applications'] as $k => $v)
		{
		 
			
			if($_SESSION['basket']['type'] == $v['sku'] && get_option('use_'.$v['sku']) == 1)
			{
				$stock_backgrounds = get_option($v['sku'].'_backgrounds');
				$stock_objects = get_option($v['sku'].'_objects');
			}
		}
	}
	
	if($use_backgrounds == '1')	{	
		switch($stock_backgrounds)
		{
			case '1':
			{
				//initialize the api fotolia here to make it available throughout the process
				$api_key = get_option('fotolia_api_key');
				
				if($api_key != '')
				{
					require_once(dirname(__FILE__).'/includes/classes/fotolia.class.php');
					$api = new Fotolia_Api($api_key, is_https());
				}
				
				$stock = 'fotolia';
			} break;
			case '2':
			{
				//initialize the api Big Stock Photo here to make it available throughout the process
				require_once(dirname(__FILE__).'/includes/classes/bspapi.class.php');
				$config = array(
				'account_id'=>get_option('big_stock_photo_account_id'),
				'secret_key'=>get_option('big_stock_photo_secret_key')
				);
				
				$bigstock_api = new BspApi($config);
				$bigstock_api->setTestMode();
				$stock = 'bigstockphoto';
			} break;
			case '3':
			{
				//initialize the api Pattern Design here to make it available throughout the process
				//require_once(dirname(__FILE__).'/includes/classes/bspapi.class.php');
				$config = array(
				'api_key'=>get_option('pattern_design_api_key'),
				'hmac_key'=>get_option('pattern_design_hmac_key')
				);
				$stock = 'patterndesign';
			} break;
			case '4':
			{
				$stock = 'medialibrary';
			} break;
			case '5':
			{
				//initialize the api Pattern Design here to make it available throughout the process
				require_once(dirname(__FILE__).'/includes/classes/DropboxClient.php');
				$dropbox = new DropboxClient(array(
					'app_key' => get_option('dropbox_api_key'),
					'app_secret' => get_option('dropbox_api_secret'),
					'app_full_access' => true,
				),'es');
				$stock = 'user_dropbox';
			} break;
			case '6':
			{
				//initialize the api Pattern Design here to make it available throughout the process
				require_once(dirname(__FILE__).'/includes/classes/google-api-php-client-master/src/Google/autoload.php');

				$client_id = get_option('gd_client_id');
				$client_secret = get_option('gd_client_secret');
				$client_key = get_option('gd_client_key');
				$redirect_uri = 'http://' . $_SERVER['SERVER_NAME'] . '/design';
				$stock = 'google_drive';
			} break;
			
			case '7':
			{
				//initialize the api Pattern Design here to make it available throughout the process
				$dropbox_token = get_option('dropbox_token');
				$stock = 'dropbox';
			} break;

			case '8':
			{
				//initialize the api Pattern Design here to make it available throughout the process
				//$dropbox_token = get_option('dropbox_token');
				$stock = 'instagram';
			} break;

			default:
			{
				//initialize the api fotolia here to make it available throughout the process
				$stock = 'nomedia';
			}
		}
	}

    if($use_objects == '1'){
		switch($stock_objects)
		{
			case '1':
			{
				//initialize the api fotolia here to make it available throughout the process
				$api_key = get_option('fotolia_api_key');
				
				if($api_key != '')
				{
					require_once(dirname(__FILE__).'/includes/classes/fotolia.class.php');
					$api = new Fotolia_Api($api_key, is_https());
				}
				$stocko = 'fotolia';
			} break;
			case '2':
			{
				//initialize the api Big Stock Photo here to make it available throughout the process
				require_once(dirname(__FILE__).'/includes/classes/bspapi.class.php');
				$config = array(
				'account_id'=>get_option('big_stock_photo_account_id'),
				'secret_key'=>get_option('big_stock_photo_secret_key')
				);
				
				$bigstock_api = new BspApi($config);
				$bigstock_api->setTestMode();
				
				$stocko = 'bigstockphoto';
			} break;
			
			case '3':
			{
				//initialize the api Pattern Design here to make it available throughout the process
				//require_once(dirname(__FILE__).'/includes/classes/bspapi.class.php');
				$config = array(
				'api_key'=>get_option('pattern_design_api_key'),
				'hmac_key'=>get_option('pattern_design_hmac_key')
				);
		
				$stocko = 'patterndesign';
			} break;
			
			case '4':
			{
				$stocko = 'medialibrary';
			} break;
			
			case '5':
			{
				//initialize the api Pattern Design here to make it available throughout the process
				require_once(dirname(__FILE__).'/includes/classes/DropboxClient.php');

				$dropbox = new DropboxClient(array(
					'app_key' => get_option('dropbox_api_key'),
					'app_secret' => get_option('dropbox_api_secret'),
					'app_full_access' => true,
				),'es');
				$stocko = 'user_dropbox';
			} break;

			case '6':
			{
				//initialize the api Pattern Design here to make it available throughout the process
				require_once(dirname(__FILE__).'/includes/classes/google-api-php-client-master/src/Google/autoload.php');
				$api_key = get_option('gd_client_id');
				$client = new Google_Client();
				$client->setApplicationName("Client_Library_Examples");
				$client->setDeveloperKey($api_key);
		
				$stocko = 'google_drive';
			} break;

			case '7':
			{
				$dropbox_token = get_option('dropbox_token');
				$stocko = 'dropbox';
			} break;

			case '8':
			{
				//$dropbox_token = get_option('dropbox_token');
				$stocko = 'instagram';
			} break;
			default:
			{
				//initialize the api fotolia here to make it available throughout the process
				$stocko = 'nomedia';
			}
		}
	}	
	//load custom styles
	$appearance = unserialize(get_option('appearance'));
?>
<style>
	#pasos td div.off2{ background:<?php echo $appearance['nav_bar_bg']; ?>; color:<?php echo $appearance['nav_bar_bg_fc']; ?>;}
	#pasos td div.on{ background:<?php echo $appearance['nav_bar_bg_selected']; ?>; color:<?php echo $appearance['nav_bar_bg_selected_fc']; ?>;}
	#pasos td div.on2{ background:<?php echo $appearance['nav_bar_bg_selected']; ?>; color:<?php echo $appearance['nav_bar_bg_selected_fc']; ?>;}
	#pasos td div.ok{ background:<?php echo $appearance['nav_bar_bg_selected_ok']; ?>; color:<?php echo $appearance['nav_bar_bg_selected_ok_fc']; ?>;}
	#pasos td div.ok2{ background:<?php echo $appearance['nav_bar_bg_selected_ok']; ?>; color:<?php echo $appearance['nav_bar_bg_selected_ok_fc']; ?>;}

	#pasos td div{ <?php if($appearance['nav_bar_border_radius'] == '1') { ?> border-radius:0.5em; <?php } ?>}
	
	#pageheader .portfolionav a{background:<?php echo $appearance['buttons_bg']; ?>; color:<?php echo $appearance['buttons_bg_fc']; ?>;}
	#pageheader .portfolionav a.help{background:<?php echo $appearance['buttons_bg_help']; ?>; color:<?php echo $appearance['buttons_bg_help_fc']; ?>;}
	#pageheader .portfolionav a.simulator{background:<?php echo $appearance['buttons_bg_designer']; ?>; color:<?php echo $appearance['buttons_bg_designer_fc']; ?>;}
	#pageheader .portfolionav a{ <?php if($appearance['buttons_border_radius'] == '1') { ?> border-radius:0.3em; <?php } ?>}

	#cat2_id button{background:<?php echo $appearance['sel_butt_bg']; ?>; color:<?php echo $appearance['sel_butt_bg_fc']; ?>;}
	#cat2_id span.seleccionado button{background:<?php echo $appearance['selted_butt_bg']; ?>; color:<?php echo $appearance['selted_butt_bg_fc']; ?>;}
	#cat2_id button{ <?php if($appearance['selted_border_radius'] == '1') { ?> border-radius:0.3em; <?php } ?>}
	#cat2_id span.seleccionado button{ <?php if($appearance['selted_border_radius'] == '1') { ?> border-radius:0.3em; <?php } ?>}
	</style>

    <div id="content" class="container wallart-content">
    <table id="pasos" cellpadding="0" cellspacing="0" border="0" summary="Pasos del proceso de compra">
    	<?php $textconfig1 = stripslashes(get_option('textconfig1')); ?>
        <tr>
            <td><div <?php if ($_SESSION['basket']['paso'] == '1') echo 'class= "on"'; elseif($_SESSION['basket']['paso'] > '1')  echo 'class= "ok"'; else  echo 'class= "off"'; ?>><span>1</span><?php if ($textconfig1 != '') { echo $textconfig1; }else{ echo __( 'Formats and <p>measures</p>', 'hpwallart' ); } ?></div></td>
			<?php
            if($use_backgrounds == '1') // || (isset($_SESSION['basket']['use_backgrounds_step']) && $_SESSION['basket']['use_backgrounds_step'] == '1')
			{
			?>
            <td><div <?php if ($_SESSION['basket']['paso'] == '2') echo 'class= "on2"'; elseif($_SESSION['basket']['paso'] > '2')  echo 'class= "ok2"'; else  echo 'class= "off2"'; ?>><span>2</span><?php echo __( 'Selection of <p>backgrounds</p>', 'hpwallart' ); ?></div></td>
            <?php
			}
			?>
            <?php
            if($use_objects == '1')
			{
			?>
            <td><div <?php if ($_SESSION['basket']['paso'] == '3') echo 'class= "on2"'; elseif($_SESSION['basket']['paso'] > '3')  echo 'class= "ok2"'; else  echo 'class= "off2"'; ?>><span>3</span><?php echo __( 'Selection of <p>objects</p>', 'hpwallart' ); ?></div></td>
            <?php
			}
			?>
        </tr>
    </table>
	<?php
	//empty the cart

	//STEP 1: wall dimensions and sku
	if($_SESSION['basket']['paso'] == '1')
	{
		include(dirname(__FILE__).'/includes/dimensions.inc.php');
	}
	
    //STEP 2: backgrounds selection
	if($_SESSION['basket']['paso'] == '2' && $use_backgrounds == '1')
    {
		include(dirname(__FILE__).'/includes/scenes_'.$stock.'.inc.php');
	}
	
	//STEP 3: elements selection
	if($_SESSION['basket']['paso'] == '3' && $use_objects == '1')
	{
		include(dirname(__FILE__).'/includes/objects_'.$stocko.'.inc.php');
	}
	
	//STEP 4: add to cart
	if($_SESSION['basket']['paso'] == '4')
	{
		include(dirname(__FILE__).'/includes/addToCart.inc.php');
	}
	
	get_footer();
?>