    <style>
	li ul li { display: block; margin-left:1em; }
    </style>
    <ul class="card">
    	<li>
        	<a href="#1">1. <?php _e("HP WallArt plugin Settings", 'hpwallart' ); ?></a>
        	<ul>
            	<li><a href="#11">1.1 <?php _e("Generic options", 'hpwallart' ); ?></li>
            	<li><a href="#12">1.2 <?php _e("Stock imagery options", 'hpwallart' ); ?></li>
            	<li><a href="#13">1.3 <?php _e("SKU options", 'hpwallart' ); ?></li>
            	<li><a href="#14">1.4 <?php _e("Appearance", 'hpwallart' ); ?></li>
            </ul>
        </li>
    	<li><a href="#2">2. <?php _e("WallArt Settings", 'hpwallart' ); ?></a></li>
    </ul>
        
    <p id="1">&nbsp;</p>
    <h2>1. <?php _e("HP WallArt plugin Settings", 'hpwallart' ); ?></h2>
    <span id="11">&nbsp;</span>
    <h3>1.1 <?php _e("Generic options", 'hpwallart' ); ?></h3>
    <p><img style="border:1px solid #bbbbbb; box-shadow: 5px 5px 2.5px #aaaaaa;" src="<?php echo plugins_url( 'settings.png', __FILE__ ); ?>" /></p>
    <br>
	<ol>
      <li><strong><?php _e("Set Design as homepage", 'hpwallart' ); ?></strong><br>
      <?php _e("Place the design page as HP WallArt start anywhere in the home on the web.", 'hpwallart' ); ?><br>
      <br>
      </li>
      <li><strong><?php _e("Use backgrounds", 'hpwallart' ); ?></strong><br>
      <?php _e("Active step two to select background images.", 'hpwallart' ); ?><br>
      <br>
      </li>
      <li><strong><?php _e("Use objects", 'hpwallart' ); ?></strong><br>
      <?php _e("Active step three to select objects vector images.", 'hpwallart' ); ?><br>
      <br>
      </li>
      <li><strong><?php _e("Allow users to upload their own images", 'hpwallart' ); ?></strong><br>
      <?php _e("Allow users to upload their own images to the media gallery. These images are limited in size (2MB) and format (JPG and PNG).", 'hpwallart' ); ?><br>
      <br>
      </li>
      <li><strong><?php _e("Images per page", 'hpwallart' ); ?></strong><br>
      <?php _e("Number of images displayed on each page of results, paging results.", 'hpwallart' ); ?><br>
      <br>
      </li>
      <li><strong><?php _e("Backgrounds on the sidebar", 'hpwallart' ); ?></strong><br>
      <?php _e("Maximum number of spaces on the side to save images selected background.", 'hpwallart' ); ?><br>
      <br>
      </li>
      <li><strong><?php _e("Objects in the sidebar", 'hpwallart' ); ?></strong><br>
      <?php _e("Maximum number of spaces on the side to save images of objects & nbsp; selected.", 'hpwallart' ); ?><br>
      <br>
      </li>
      <li><strong><?php _e("Active tooltip", 'hpwallart' ); ?></strong><br>
      <?php _e("Enable thumbnails when you hover over the image.", 'hpwallart' ); ?></li>
    </ol>
    
    <span id="12">&nbsp;</span>
    <h3>1.2 <?php _e("Stock imagery options", 'hpwallart' ); ?><br></h3>
    <p><img style="border:1px solid #bbbbbb; box-shadow: 5px 5px 2.5px #aaaaaa;" src="<?php echo plugins_url( 'stock.png', __FILE__ ); ?>" /></p>
    <br>
    <p><?php _e("Fill these fields only if you want to configure external content accessible to users. This section describes the configuration data of different image banks or storage systems in the cloud allowed by the application are introduced:", 'hpwallart' ); ?></p>
    
    <h4>Fotolia</h4>
    <p><?php _e("To use, you must obtain the Fotolia API key and enter it into the menu Stock Imagery.", 'hpwallart' ); ?></p>
    <p><img style="border:1px solid #bbbbbb; box-shadow: 5px 5px 2.5px #aaaaaa;" src="<?php echo plugins_url( 'fotolia_api_key.png', __FILE__ ); ?>" /></p>
    <br>
    
    <h4>Instagram</h4>
    <p><?php _e("To use, you must obtain the Instagram Access Token in http://wix.hpwallart.com/instagram/ and enter it into the Access Token field.", 'hpwallart' ); ?></p>
    <p><img style="border:1px solid #bbbbbb; box-shadow: 5px 5px 2.5px #aaaaaa;" src="<?php echo plugins_url( 'instagram_access_token.png', __FILE__ ); ?>" /></p>
    <br>
    
    <h4>Big Stock Photo</h4>
    <p><?php _e("To use, you must obtain the Account ID and Secret Big Stock Photo Key and insert it into the menu Stock Imagery.", 'hpwallart' ); ?></p>
    <p><img style="border:1px solid #bbbbbb; box-shadow: 5px 5px 2.5px #aaaaaa;" src="<?php echo plugins_url( 'bigstockphoto1.png', __FILE__ ); ?>" /></p>
    <br>
    
    <h4>Pattern Design</h4>
    <p><?php _e("To use, you must obtain the API key and HMAC key of Pattern Design and put in the Stock Imagery menu.", 'hpwallart' ); ?></p>
    <br>
    <p><img style="border:1px solid #bbbbbb; box-shadow: 5px 5px 2.5px #aaaaaa;" src="<?php echo plugins_url( 'pattern_design1.png', __FILE__ ); ?>" /></p>
    
    <h4>Media Library</h4>
	<p><?php _e("Inform if you are using images Wordpress Media Library. Allows use images gallery Wordpress. No need to enter any parameters.", 'hpwallart' ); ?></p>
    <br>
    
    <!--<h4>User Dropbox</h4>
	<p><?php _e("It is the use of Dropbox with login by the user, to access your library. The system will prompt the user for credentials to access your Dropbox folder. It is similar to a system login through Facebook or Google+, where permission is sought and must be logged.", 'hpwallart' ); ?></p>
    <br>
    
    <h4>Google Drive</h4>
    <p><?php _e("For use as storage, you must enter the routes to the Google Drive folder you want to use to raise funds or objects. You have to enter the path of two directories, one for funding and one for objects. You must first create these folders in Google Drive and get their routes.", 'hpwallart' ); ?></p>
    <br>

    <h4>Dropbox</h4>
    <p><?php _e("For use as storage, you must enter the routes to the Dropbox folder you want to use to raise funds or objects. You have to enter the path of two directories, one for funding and one for objects. You must first create these folders in Dropbox and get their routes.", 'hpwallart' ); ?></p>
    <br>-->
    <br>
    <br>
    
    <span id="13">&nbsp;</span>
    <h3>1.3 <?php _e("SKU options", 'hpwallart' ); ?></h3>
    <br>
    <p><img style="border:1px solid #bbbbbb; box-shadow: 5px 5px 2.5px #aaaaaa;" src="<?php echo plugins_url( 'skus.png', __FILE__ ); ?>" /></p>
    <br>
    
	<p><?php _e("This section allows combine for each SKU (wall, canvas, decal and poster) different sources of images, for backgrounds and objects. And enable or disable the different SKU.", 'hpwallart' ); ?></p>
    <br>
    
	<p><?php _e("We have for each SKU:", 'hpwallart' ); ?></p>
    <br>
    
	<ul>
      <li><strong><?php _e("Enable or disable the use of SKU", 'hpwallart' ); ?></strong><br>
        <?php _e("Select / Deselect Enable or disable the use of SKU.", 'hpwallart' ); ?><br>
        <br>
      </li>
      <li><strong><?php _e("Backgrounds imagery", 'hpwallart' ); ?></strong><br>
      <?php _e("It allows you to choose an image bank from the existing to funds.", 'hpwallart' ); ?><br>
      <br>
      </li>
      <li><strong><?php _e("Objects imagery", 'hpwallart' ); ?></strong><br>
      <?php _e("It allows you to choose an image bank from the existing to objects.", 'hpwallart' ); ?></li>
    </ul>
     <br>
    <p><?php _e("Note:", 'hpwallart' ); ?></p>
    
	<p><?php _e("There are two exceptions:", 'hpwallart' ); ?></p>
    <ul>
      <li><?php _e("In the configuration of SKU Decal, <strong> is not necessary </strong> Background Imagery selection.", 'hpwallart' ); ?><br>
        <br>
      </li>
      <li><?php _e("Pattern Design en Object imagery. They are not used as objects.", 'hpwallart' ); ?>
    </li>
    </ul>

    <span id="14">&nbsp;</span>
    <h3>1.4 <?php _e("Appearance", 'hpwallart' ); ?></h3>
    <br>
    <p><img style="border:1px solid #bbbbbb; box-shadow: 5px 5px 2.5px #aaaaaa;" src="<?php echo plugins_url( 'appearance.png', __FILE__ ); ?>" /></p>
    <br>
    
	<p><?php _e("This section allows the customization of color styles from different parts of the frontend, from the website.", 'hpwallart' ); ?></p>
    <br>
    
    
    
    
        
    <p id="2">&nbsp;</p>
    <h2>2. <?php _e("WallArt Settings", 'hpwallart' ); ?></h2>
    <br>
    <p><img style="border:1px solid #bbbbbb; box-shadow: 5px 5px 2.5px #aaaaaa;" src="https://lh5.googleusercontent.com/rAS6j18-kgIZchfDtT-FK2c0H7p_bl0GgnRr9Jm4_zZlI04f31q5oHOF63ZI_521DU6rjj_eMcX_giuwpKzHDiEdgFfwJ0yB8WOK4PUbGBjYiBTu7nKdxgFKZxdBW_PlVFU61Go" /></p>
    
	<p><?php _e("In this section, it is to introduce three data and verify the configuration data entered plugin versus <a href='http://www.hpwallart.com'>www.hpwallart.com</a>. This step is required for the plugin to work.", 'hpwallart' ); ?></p>
    <p><?php _e("In addition, some recovered, options make use plugin: the Currency, Tax and Unit System.", 'hpwallart' ); ?></p>
    <br>
    
	<p><?php _e("The parameters requested are:", 'hpwallart' ); ?></p>
    <br>
    
	<ul>
      <li><strong><?php _e("WallArt User", 'hpwallart' ); ?></strong><br>
      <?php _e("Email address. User access to <a href='http://www.hpwallart.com'>www.hpwallart.com</a>", 'hpwallart' ); ?></li>
    </ul>
    <ul>
      <li><strong><?php _e("WallArt password", 'hpwallart' ); ?></strong><br>
      <?php _e("Password access to <a href='http://www.hpwallart.com'>www.hpwallart.com</a>", 'hpwallart' ); ?></li>
    </ul>
    <ul>
      <li><strong><?php _e("HP WallArt base Url", 'hpwallart' ); ?></strong><br>
      <?php _e("The identifier provided by HP WallArt Solution Identifier URL. It can be found in Settings &gt; Customization (at the end of the page, see highlighted in yellow)", 'hpwallart' ); ?></li>
    </ul>
    
    <p><img style="border:1px solid #bbbbbb; box-shadow: 5px 5px 2.5px #aaaaaa;" src="https://lh3.googleusercontent.com/C1FsJOuK6UKXbur27aCy6ioScOzI-9Yz6wcnzafXx5n4YsCy852S7AnMQD0JCwpytyT_dRCczfYCI-tOQcd2EoOR9nOeQru8PoO7XaUrjuOcwCXpSUl_5GN-E37dV0itlGvulvY" /></p>
    <br>
    
	<p><?php _e("Once you have entered all the data in this section, clicking Save Changes and verify data different indicators inform us if the process was successful or not.", 'hpwallart' ); ?></p>
    <p><?php _e("The appearance of <strong> check green </strong> under the heading Status indicates that the parameter is correct.", 'hpwallart' ); ?></p>
    <p><?php _e("In other cases, the appearance of other parameter values <strong> is for information only </strong>.", 'hpwallart' ); ?></p>
    <br>
    <h3><?php _e("Web Integration", 'hpwallart' ); ?></h3>
	<p><?php _e("In this section if you do not see the green check under the Status title, we must properly configure the Full Web Integration section within HP Solution WallArt Settings &gt; Web integration with corresponding URLs.", 'hpwallart' ); ?></p>
