<?php
	/**
		 @contact   HP WallArt Barcelona Team (abad@hp.com)
	 
		 @version   1.0
		 @date Feb 1 2015
	 
	*   (c) Copyright 2018 Hewlett-Packard Development Company L.P
	*   All rights reserved. Copying or other reproduction of this
	*   program except for archival purposes is prohibited without
	*   written consent of HP Inc.
	*
	*   HP / GSB / LFPro
	*/

	ini_set('display_errors', 0);
	error_reporting(E_ALL & ~E_NOTICE);
	//Acciones para guardar la sesión en un carro de compra de woocommerce
	//$parse_uri = explode( 'wp-content', $_SERVER['SCRIPT_FILENAME'] );
	//echo $_SERVER['DOCUMENT_ROOT'];
	//require_once( $_SERVER['DOCUMENT_ROOT'].'/wp-load.php' );
	require_once( '../../../../wp-load.php' );

	$base_url = get_option('hp_wallart_base_url');

	global $woocommerce;
	
	//if not backgrounds nor objects
	if(!isset($_SESSION['basket']['ancho']) || $_SESSION['basket']['ancho'] == '')
	{
		$_SESSION['basket']['ancho'] = '100';
	}

	if(!isset($_SESSION['basket']['alto']) || $_SESSION['basket']['alto'] == '')
	{
		$_SESSION['basket']['alto'] = '100';
	}
	
	if(!$_SESSION['resultado']['project_id'])
	{
		//create Order
		$default_args = array(
			'status'        => 'pending',
			'customer_id'   => 1,
			'customer_note' => null,
			'order_id'      => 0
		  );
	
		//create a new POST type shop_order
		$WC_Order = wc_create_order( $default_args );
		
		//print_r($WC_Order);

		//create a order_item
		$item_id = wc_add_order_item( $WC_Order->id, array('order_item_name' => $_SESSION['basket']['categoria'], 'order_item_type' => 'line_item'), $WC_Order->id );
		
		//add some meta to order_item
		wc_add_order_item_meta( $item_id, '_qty', 1 );
        wc_add_order_item_meta( $item_id, '_tax_class', '' );
        wc_add_order_item_meta( $item_id, '_product_id', $_SESSION['basket']['tipo'] );
        wc_add_order_item_meta( $item_id, '_variation_id', 0 );
        wc_add_order_item_meta( $item_id, '_line_subtotal', $_SESSION['basket']['precioAproximado'] );
        wc_add_order_item_meta( $item_id, '_line_total', $_SESSION['basket']['precioAproximado'] );
        wc_add_order_item_meta( $item_id, '_line_subtotal_tax', wc_format_decimal( '0' ) );
        wc_add_order_item_meta( $item_id, '_line_tax', wc_format_decimal( '0' ) );
		wc_add_order_item_meta( $item_id, '_width', $_SESSION['basket']['ancho'] );
		wc_add_order_item_meta( $item_id, '_height', $_SESSION['basket']['alto'] );
		wc_add_order_item_meta( $item_id, '_type', $_SESSION['basket']['type'] );
		wc_add_order_item_meta( $item_id, '_category', $_SESSION['basket']['categoria'] );
		wc_add_order_item_meta( $item_id, '_price', $_SESSION['basket']['precioAproximado'] );
		wc_add_order_item_meta( $item_id, '_priceBase', $_SESSION['basket']['precioBase'] );
		wc_add_order_item_meta( $item_id, '_name', 'project_'.$WC_Order->id );
		wc_add_order_item_meta( $item_id, '_path', 'project_'.$WC_Order->id );
		wc_add_order_item_meta( $item_id, '_status', 'EDITING' );
		wc_add_order_item_meta( $item_id, '_data', serialize($_SESSION) );
		
		if($_SESSION['basket']['fondos'])
		{
			foreach($_SESSION['basket']['fondos'] as $k => $val)
			{
				wc_add_order_item_meta( $item_id, '_back_id_'.$k, $val['id'] );
				wc_add_order_item_meta( $item_id, '_back_object_path_'.$k, $val['objeto_path'] );
			}
		}
		else	//not scenes nor objects
		{
			wc_add_order_item_meta( $item_id, '_back_id_1', 1 );
			wc_add_order_item_meta( $item_id, '_back_object_path_1', plugin_dir_url( __DIR__ )."hpwallart/images/logoWordpress.png" );
		}
		
		if($_SESSION['basket']['objetos'])
		{
			foreach($_SESSION['basket']['objetos'] as $k => $val)
			{
				wc_add_order_item_meta( $item_id, '_object_id_'.$k, $val['id'] );
				wc_add_order_item_meta( $item_id, '_object_object_path_'.$k, $val['objeto_path'] );
			}
		}
		else	//not scenes nor objects
		{
			wc_add_order_item_meta( $item_id, '_object_id_1', 1 );
			wc_add_order_item_meta( $item_id, '_object_object_path_1', plugin_dir_url( __DIR__ )."hpwallart/images/logoWordpress.png" );
		}
		
		$_SESSION['resultado']['project_id'] = $WC_Order->id;
		
		//20150909 Dennet add two variables
		wc_add_order_item_meta( $item_id, '_provider_backgrounds', $_SESSION['basket']['provider_backgrounds'] );
		wc_add_order_item_meta( $item_id, '_provider_objects', $_SESSION['basket']['provider_objects'] );
	}

    /* Multiple Cart: START>>> */
		//Empty the cart and create item in the cart
		// $woocommerce->cart->empty_cart();
    /* Multiple Cart: >>>END */

	//Adding data to WC session to retrieve in thankyou.php page
	$datos['_name'] = 'project_'.$_SESSION['resultado']['project_id'];
	$datos['_width'] = $_SESSION['basket']['ancho'];
	$datos['_height'] = $_SESSION['basket']['alto'];
	$datos['_type'] = $_SESSION['basket']['type'];
	$datos['_category'] = $_SESSION['basket']['categoria'];
	$datos['_status'] = 'EDITING';
	$datos['_price'] = $_SESSION['basket']['precioAproximado'];
	$datos['_price_original'] = $_SESSION['basket']['precioBase'];

	if($_SESSION['basket']['fondos'])
	{
		foreach($_SESSION['basket']['fondos'] as $k => $val)
		{
			$datos['_backgrounds'][$k]['id'] = $val['id'];
			$datos['_backgrounds'][$k]['path'] = $val['objeto_path'];
			$datos['_backgrounds'][$k]['provider_backgrounds'] = $val['provider_backgrounds'];
		}
	}
	else //not scenes nor objects
	{
			$datos['_backgrounds'][0]['id'] = 1;
			$datos['_backgrounds'][0]['path'] = plugin_dir_url( __DIR__ )."hpwallart/images/logoWordpress.png";
	}

	if($_SESSION['basket']['objetos'])
	{
		foreach($_SESSION['basket']['objetos'] as $k => $val)
		{
			$datos['_objects'][$k]['id'] = $val['id'];
			$datos['_objects'][$k]['path'] = $val['objeto_path'];
			$datos['_objects'][$k]['provider_objects'] = $val['provider_objects'];
		}
	}
	else //not scenes nor objects
	{
			$datos['_objects'][0]['id'] = 1;
			$datos['_objects'][0]['path'] = plugin_dir_url( __DIR__ )."hpwallart/images/logoWordpress.png";
	}

	
	$product_id = $_SESSION['basket']['tipo'];
	$found = false;

	$auth_token = base64_encode($_SESSION['resultado']['project_id']);
	delete_option('tipo_'.$_SESSION['resultado']['project_id']);
	update_option('tipo_'.$_SESSION['resultado']['project_id'], $product_id);

//	echo '<pre>';print_r($_SESSION);exit;
	$wallart_data = unserialize(get_option('wallart_data'));
	if(isset($wallart_data)  && (is_array($wallart_data))  && ($wallart_data['applications'] != '')){
		foreach ($wallart_data['applications'] as $wakey => $wallart_applcn_value) {
			//echo '<pre>';print_r($wallart_applcn_value);
			if($wallart_applcn_value['sku'] == $_SESSION['basket']['type']){
				foreach($wallart_applcn_value['materials'] as $wmkey => $wallart_material_value){
					$media_substrate = str_replace(" ", "", $wallart_material_value['name']);
					$media_substrate_session = str_replace("-", "", $_SESSION['basket']['media_substrate']);
					
					if(strtolower($media_substrate) == strtolower($media_substrate_session)){
						$material_id = $wallart_material_value['id'];
					}

				}

			}
	    }
	}
	if($material_id == ''){
		if(isset($wallart_data)  && (is_array($wallart_data))  && ($wallart_data['application_groups'] != '')){
			foreach ($wallart_data['application_groups'] as $wakey1 => $wallart_applcngrp_value) {

				foreach ($wallart_applcngrp_value['applications'] as $wankey1 => $wallart_appln_applcngrp_value) {
                    //echo '<pre>';print_r($wallart_appln_applcngrp_value);
                    if($wallart_appln_applcngrp_value['sku'] == $_SESSION['basket']['type']){
						foreach($wallart_appln_applcngrp_value['materials'] as $wmkey1 => $wallart_applcngrp_material_value){
							$media_substrate1 = str_replace(" ", "", $wallart_applcngrp_material_value['name']);
					        $media_substrate_session1 = str_replace("-", "", $_SESSION['basket']['media_substrate']);
							if(strtolower($media_substrate1) == strtolower($media_substrate_session1)){
								//echo '<pre>';print_r($wallart_applcngrp_material_value['id']);
								$material_id = $wallart_applcngrp_material_value['id'];
							}

						}
					}
				}
		    }
		}
	}
	
    
    if($material_id != ''){
    	if(($_SESSION['basket']['ancho'] == '-1') && ($_SESSION['basket']['alto'] == -1)){
    		header('Location: https://designer.hpwallart.com/'.$base_url.'?web_link=true&sku='.$_SESSION['basket']['type'].'&content_context_token='.$_SESSION['resultado']['project_id'].'&auth_token='.$auth_token.'&material='.$material_id);
    	}else{
    		header('Location: https://designer.hpwallart.com/'.$base_url.'?web_link=true&sku='.$_SESSION['basket']['type'].'&size='.$_SESSION['basket']['ancho'].'x'.$_SESSION['basket']['alto'].'&content_context_token='.$_SESSION['resultado']['project_id'].'&auth_token='.$auth_token.'&material='.$material_id);
    	}
    	
    }else{
    	if(($_SESSION['basket']['ancho'] == '-1') && ($_SESSION['basket']['alto'] == -1)){
    		header('Location: https://designer.hpwallart.com/'.$base_url.'?web_link=true&sku='.$_SESSION['basket']['type'].'&content_context_token='.$_SESSION['resultado']['project_id'].'&auth_token='.$auth_token);
    	}else{
    		header('Location: https://designer.hpwallart.com/'.$base_url.'?web_link=true&sku='.$_SESSION['basket']['type'].'&size='.$_SESSION['basket']['ancho'].'x'.$_SESSION['basket']['alto'].'&content_context_token='.$_SESSION['resultado']['project_id'].'&auth_token='.$auth_token);
    	}
    	
    }
	exit;
?>