<?php
	/**
		 @contact   HP WallArt Barcelona Team (abad@hp.com)
	 
		 @version   1.0
		 @date Feb 1 2015
	 
	*   (c) Copyright 2015 Hewlett-Packard Development Company L.P
	*   All rights reserved. Copying or other reproduction of this
	*   program except for archival purposes is prohibited without
	*   written consent of HP Inc.
	*
	*   HP / GSB / LFPro
	*/

	$numPags = $PAGINACION['NUM_PAGINAS']; 
	$searchResultsPerPage = $PARAMPAG['searchResultsPerPage'];
	$numTotalPags = (int)(($numPags/$searchResultsPerPage)+1); 
	
	$pagActual = $PAGINACION['ACTUAL_PAGE'];
	$numPagEnPaginacion = 9;
	
	
	if($_GET['tag'])
	{
		$pagTag = '&tag='.$_GET['tag'];
	}
	
	if($_GET['id'])
	{
		$pagTag = $_GET['id'].'/';
	}
	
	if($_GET['order'])
	{
		$pagTag .= '&order='.$_GET['order'];
	}
	
	if($_GET['fecha'])
	{
		$pagTag .= '&fecha='.$_GET['fecha'];
	}
	
	if($_GET['cat1_id'])
	{
		$pagTag .= $_GET['cat1_id'].'/';
	}
	
	if($_POST['words'])
	{
		$pagTag .= '&words='.$_POST['words'];
	}
	
	
	$querystring = "";
	foreach ($_GET as $key => $value) 
	{
		if ($key != "limit") $querystring .= "$key=$value&amp;";
	}	
?>
	<div id="Paginado">
		<ul>
		<?php
		//Anterior y siguiente
		if ($pagActual != 1)
		{ 
		?>
			<li class="anterior"><a href="<?php echo $PARAMPAG['path']; ?>?<?php echo $querystring; ?>limit=0"><?php echo __( 'First', 'hpwallart' ) ?>&nbsp;</a></li>
			<li class="anterior"><a href="<?php echo $PARAMPAG['path']; ?>?<?php echo $querystring; ?>limit=<?php echo $PAGINACION[PREV] ?>">&nbsp;<?php echo __( 'Previous', 'hpwallart' ) ?></a></li>
		<?php
		}
		
		//tengo mximo 9 pginas o estoy en la 1, 2 o 3
		if ($numTotalPags <= $numPaginasEnPaginacion || $pagActual==1 || $pagActual==2 || $pagActual==3 || $pagActual==4 || $pagActual==5) 
		{ 
		
			for ($i=1; $i<=$numPagEnPaginacion ; $i++)
			{
				if ($i>$numTotalPags) break;
				
				if ($pagActual==$i) 
				{
				?>
					<li class="on"><?php echo $i ?></li>
				<?php
				}
				else
				{ 
				?> 
					<li><a href="<?php echo $PARAMPAG['path']; ?>?<?php echo $querystring; ?>limit=<?php echo (($i-1)*$searchResultsPerPage) ;?>"><?php echo $i ?></a></li>
				<?php
				}
			}
		} 
		else 
		{
			//pintar desde el final
			if ($pagActual==$numTotalPags || $pagActual==$numTotalPags-1 || $pagActual==$numTotalPags-2) 
			{
				for ($i=($numTotalPags -$numPagEnPaginacion)+1; $i<=$numTotalPags ; $i++)
				{
					if ($i>0) 
					{
						if ($pagActual==$i) 
						{
						?>
							<li class="on"><?php echo $i ?></li>
						<?php
						}
						else  
						{
						?>
							<li><a href="<?php echo $PARAMPAG['path']; ?>?<?php echo $querystring; ?>limit=<?php echo (($i-1)*$searchResultsPerPage); ?>"><?php echo $i ?></a></li>
						<?php
						}
					}
				}
			} 
			//son del medio
			else 
			{ 
				for ($i=($pagActual -4); $i<=($pagActual +4) ; $i++)
				{
					if ($pagActual==$i) 
					{
					?>
						<li class="on"><?php echo $i ?></li>
					<?php
					}
					else  
					{
					?>
						<li><a href="<?php echo $PARAMPAG['path']; ?>?<?php echo $querystring; ?>limit=<?php echo (($i-1)*$searchResultsPerPage);?>"><?php echo $i ?></a></li>
					<?php
					}
				}
			}
		}
		if ($pagActual != $numTotalPags)	
		{  
		?>
			<li class="siguiente"><a href="<?php echo $PARAMPAG['path']; ?>?<?php echo $querystring; ?>limit=<?php echo $PAGINACION[NEXT]; ?>">&nbsp;<?php echo __( 'Next', 'hpwallart' ) ?>&nbsp;</a></li>
			<li class="siguiente"><a href="<?php echo $PARAMPAG['path']; ?>?<?php echo $querystring; ?>limit=<?php echo $numPags; ?>">&nbsp;<?php echo __( 'Last', 'hpwallart' ) ?></a></li>
		<?php
		}
		?>
	   </ul>
	</div>