<?php
	/**
		 @contact   HP WallArt Barcelona Team (abad@hp.com)
	 
		 @version   5.0
		 @date Dec 7 2016
	 
	*   (c) Copyright 2015 Hewlett-Packard Development Company L.P
	*   All rights reserved. Copying or other reproduction of this
	*   program except for archival purposes is prohibited without
	*   written consent of HP Inc.
	*
	*   HP / GSB / LFPro
	*/

	ini_set('display_errors', 1); 
	error_reporting(E_ALL & ~E_NOTICE);
	//Acciones para guardar la sesión en un carro de compra de woocommerce
	//$parse_uri = explode( 'wp-content', $_SERVER['SCRIPT_FILENAME'] );
	//echo $_SERVER['DOCUMENT_ROOT'];
	//require_once( $_SERVER['DOCUMENT_ROOT'].'/wp-load.php' );
	require_once( '../../../../wp-load.php' );

	//Navartic 2017-04-04::New implement of sizes
	$hpwallart_unit_system = get_option('hpwallart_unit_system');
	
	if($hpwallart_unit_system == 'Imperial')
	{
		 $factor = '1';
		 $unit = 'in';
		 $square = 'ft&sup2;';
		 $divisor = '144';
	}
	elseif($hpwallart_unit_system == 'Metric')
	{
		 $factor = '0.3937';
		 $unit = 'cm';
		 $square = 'm&sup2;';
		 $divisor = '10000';
	}
	

	$wallart_data = unserialize(get_option('wallart_data'));
	//formatC($wallart_data, 0);

	//Navartic 2017-04-12::New application for PRESETS
	foreach($wallart_data['applications'] as $k => $v)
	{
		$presets[$v['sku']]['presets_enabled'] = $v['presets_enabled'];	
		$presets[$v['sku']]['presets'] = $v['presets'];	
	}

	foreach($wallart_data['application_groups'] as $k2 => $v2)
	{
		foreach($v2['applications'] as $k => $v)
		{
			$presets[$v['sku']]['presets_enabled'] = $v['presets_enabled'];	
			$presets[$v['sku']]['presets'] = $v['presets'];	
		}
	}	
//	echo $factor;
//	echo '<pre>';
//	print_r($presets);
?>  
    <div class="cajaFormularioLateral" style="overflow:hidden; padding:1em;">
        <h3><?php echo __( 'Presets size', 'hpwallart' ); ?></h3>
        <div id="botones_canvas" style="clear:both; float:left; width:100%;">
        <p><?php echo __( 'Select one of the presets size that we offer:', 'hpwallart' ); ?></p>
        <table border="0"  cellpadding="0" cellspacing="0"  id="ejemplos1" style="border-collapse:separate; border-spacing:2px;">
        <?php
        foreach($presets[$_GET['sku']]['presets'] as $k => $v)
        {
            if(get_option('use_backgrounds') != 1 && get_option('use_objects') != 1)	//not scenes nor objects
            {
                $send_form = "document.getElementById('myFormi').submit();";
            }
            else
            {
                $send_form = '';
            }
        ?>    
            <tr>
            <td width="100%" valign="top" style="height:auto; text-align:left;">
            <input type="radio" name="constrained" id="canvas_<?php echo $k; ?>" value="canvas_<?php echo $k; ?>" onclick="calculate('<?php echo number_format($v['width']/$factor, 2); ?>', '<?php echo number_format($v['height']/$factor, 2); ?>', '<?php echo $factor; ?>', '<?php echo $divisor; ?>', '<?php echo $unit; ?>'); <?php echo $send_form; ?>" <?php if($_SESSION['basket']['constrained'] == 'canvas_'.$k) echo 'checked'; ?> />
            <label for="canvas_<?php echo $k; ?>" style="height:100%;">
                <span><?php echo $v['name']; ?></span>
                <br />
                <?php echo __( 'Width', 'hpwallart' ).': '; ?><strong><?php echo number_format($v['width']/$factor, 2).' '.$unit; ?></strong><br />
                <?php echo __( 'Height', 'hpwallart' ).': '; ?><strong><?php echo number_format($v['height']/$factor, 2).' '.$unit; ?></strong>
            </label>
            </td>
            </tr>
        <?php
        }
        ?>
        </table>
        </div>
        <!--<input type="hidden" name="anchoC" id="canvasancho" value="<?php echo $_SESSION['basket']['ancho'] ?>" />
        <input type="hidden" name="altoC" id="canvasalto" value="<?php echo $_SESSION['basket']['alto'] ?>" />-->
    </div>