<?php 
	/**
		 @contact   HP WallArt Barcelona Team (abad@hp.com)
	 
		 @version   2.0
		 @date Feb 1 2015
	 
	*   (c) Copyright 2015 Hewlett-Packard Development Company L.P
	*   All rights reserved. Copying or other reproduction of this
	*   program except for archival purposes is prohibited without
	*   written consent of HP Inc.
	*
	*   HP / GSB / LFPro
	*/
	
	
	// if there are many files in your GDrive it can take some time, so disable the max. execution time
	set_time_limit(0);
	
	$_GET['searchresults'] = 1;

	function gdrive_fl_main()
	{
		$fid = explode( 'folders/', get_option('gd_scenes_url') );
		$fid = $fid[1];
		$preview = true;
		$maxdepth = get_option('gd_max_depth',1);
		//$url = 'https://drive.google.com/folderview?id='.$fid;	
		$url = get_option('gd_scenes_url');	
		$ch = initCurl($url);
		
		return gdrive_fl_renderFromFolderview($ch,$title);
	}
	
	function initCurl($url)
	{
		$ch = curl_init($url);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		curl_setopt($ch, CURLOPT_ENCODING, 'UTF-8');
		//curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
		curl_setopt($ch, CURLOPT_FAILONERROR, false);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, true);
		curl_setopt($ch, CURLOPT_HEADER, true);
		curl_setopt($ch, CURLOPT_VERBOSE, false);
		curl_setopt($ch, CURLOPT_CAINFO, dirname(__FILE__) . '/cacerts.pem');
		return $ch;
	}
	
	
	function gdrive_fl_renderFromFolderview($ch,$title){
		$result = curl_exec($ch);
		preg_match('/var\sdata\s=\s(\{.*\})/mis',$result,$matches);
		$result = $matches[1];
		$result = preg_replace('/,+/mis',',',$result);
		$result = preg_replace('/\[,/mis','[',$result);
		$result = preg_replace('/\]\s,\}/mis',']}',$result);
		$result = preg_replace('/folderModel/mis','"folderModel"',$result);
		$result = preg_replace('/viewerItems/mis','"viewerItems"',$result);
		$result = preg_replace('/folderName/mis','"folderName"',$result);
		$result = preg_replace("/'/mis",'"',$result);
	
		$data = json_decode($result, true);
		//$itemsc = count($data['folderModel']);
		
//		echo '<pre>';
//		print_r($data);
//		echo '</pre>';
	
		/*$html = "<h2>".$title."</h2>";
		$html .= "<style type='text/css'>.doc-table tr td {vertical-align:top;}</style>";
		$html .= "<table class='doc-table'>";
		for($i = 0; $i<$itemsc; $i++){
			$l = $data['folderModel'][$i];
			$v = $data['viewerItems'][$i];
			$html .= "<tr><td><a href='".$l[1]."'><img style='height:50px;width:auto;' src='".$v[1]."'/></a></td><td><a href='".$l[1]."'>".$v['0']."</a></td></tr>";
		}
		$html .= "</table>";*/
		return $data;
	}
	
	function gdfl_compile_style() {
	
		$gdfl_cssStyles = getGdflStylesList();
		$compiledstyle = "<style type='text/css'>";
		foreach($gdfl_cssStyles as $style){
			$compiledstyle .= '.'.$style.'{'.get_option('gdfl_css_'.$style).'}';
		}
		$compiledstyle .= "</style>";
		return $compiledstyle;
	}
	
	function gdrive_insert_styles(){
		echo gdfl_compile_style();
	}

	function getGdflStylesList(){
		return array(
		'gdf-doclist-title',
		'gdf-doclist',
		'gdf-docitem-nested',
		'gdf-doclist-nested-title',
		'gdf-doclist-nested',
		'gdf-docitem');
	}
	
	//add_shortcode('gdocs', 'gdrive_fl_main');
	//add_action('wp_head', 'gdrive_insert_styles');
	
//	$RESULT = gdrive_fl_main();
//	echo '<pre>';
//	print_r($RESULT);
//	echo '</pre>';
?>
	<!--Lateral con boton de pasar de paso + carrito compra-->
    <?php
	require_once(dirname(__FILE__).'/navigation.php');
	
	//if($_GET['searchresults'] == '1')
	{
	?>
    <div id="lateral" style="margin-top:1em;">
    	<div class="fijado">
            <!--<a class="boton_continuar" href="?paso=3" title="Continuar al PASO 3">Continuar<span>al PASO 3</span></a>
            <a class="boton_empezar" href="?destroy=1" title="Comenzar el proceso de nuevo">Comenzar <span>de nuevo</span></a>-->
            <?php include(dirname(__FILE__).'/sidebar.inc.php'); ?>
        </div>
	</div>
	<?php
	}
	?>

	<?php
	/*if(!$_GET['searchresults'] && !$_GET['k'])
	{
		//$files = $dropbox->GetFiles("scenes", false);
		//formatC($files);
	?>
    <!--<h1 style="padding-bottom:0;"><?php echo __( 'Search for backgrounds', 'hpwallart' ); ?></h1>
	buscador general como el de airbnb-->
	<div id="cat1_id" style="width:100%;">
    <form id="buscadorFondos" class="" action="" method="get" enctype="multipart/form-data" style="width:100%; background-size:100%;">
        <fieldset>
        <div style="height:600px; background-color:rgba(33,20,21,0.4); text-align:center;">
        <p style="font-size:2em; line-height:2em; margin:4em 0 0 0; color:white;"><?php echo __( 'USE THE SEARCH ENGINE TO FIND THE IMAGES YOU WANT', 'hpwallart' ); ?></p>
        <p style="font-size:1.2em; line-height:1em; margin:3em 0; color:white;"><?php echo __( 'Search over 13 million images in our search engine.', 'hpwallart' ); ?></p>
        <input type="text" name="k" id="k" value="<?php echo $_GET['k']; ?>" style="width:38%; margin-left:0.5em;" placeholder="<?php echo __( 'Enter the word to search', 'hpwallart' ); ?>"/>

        <input class="enviar" type="submit" value="<?php echo __( 'Search', 'hpwallart' ); ?>" />
        <input type="hidden" name="searchresults" id="searchresults" value="1" />
        <input type="hidden" name="size" id="size" value="xl" />
        <input type="hidden" name="language" id="language" value="5" />
        </div>
        </fieldset>
    </form>

	</div>

	<?php
	}*/
	?>
	<!--Imágenes de uns sugerencia o del buscador-->
	<?php
	//if($_GET['searchresults'])
	{
		$results = gdrive_fl_main();
		//formatC($results);
	?>
	<div id="cat2_id" style="margin-top:1em;">
        <!--buscador simplficado
        <form id="buscadorFondos" class="sinFondo" action="" method="get" enctype="multipart/form-data">
            <fieldset>
            <div>
            <input type="text" name="k" id="k" value="<?php echo $_GET['k']; ?>" placeholder="<?php echo __( 'Enter the word to search', 'hpwallart' ); ?>" style="width:23.4%;" />
            
            
            <input class="enviar" type="submit" value="<?php echo __( 'Search', 'hpwallart' ); ?>" />
            <input type="hidden" name="searchresults" id="searchresults" value="1" />
            <input type="hidden" name="size" id="size" value="xl" />
            <input type="hidden" name="language" id="language" value="5" />
            </div>
            </fieldset>
        </form>-->

        <!--<h2 style="display:block; text-align:left; ">
        	<a href="/es/proceso" title="">fondos</a><?php echo $categoria ?>
        </h2>-->
        <?php
		if(count($results['viewerItems']) >= 1)
		{
		?>
			<?php 
			if($GLOBALS['active_tooltip'] == '1')
			{
			?>
			<script type="text/javascript" src="<?php echo plugins_url( '../js/jquery.ezpz_tooltip.js', __FILE__ ); ?>"></script>
        
            <style type="text/css" media="screen"> 
                h3 { margin-top: 20px; } 
                .tooltip-target { display: block; padding: 10px; background-color: #EEE; text-align: center; } 
                #cat2_id .tooltip-content { display: none; /* required */ position: absolute; /* required */ width: 400px; height:400px; padding: 0; text-align: center; color: black;  overflow:initial;} 
                #cat2_id .tooltip-content img { width:auto;} 
                #fancy-content-1 { border: none; background:#ececec; border-radius:1em; width: 450px; height: 450px; } 
            </style>
            <?php
			}
			?>
            
            <table cellpadding="0" cellspacing="0" width="100%" id="miniaturas">
            <?php	
            $i = 0;
			$value = $results['viewerItems'];

			if(!isset($_GET['limit'])) $_GET['limit'] = 0; 

			for($i = $_GET['limit']; $i < $GLOBALS['nNot']+$_GET['limit']; $i++)
            //foreach($results['viewerItems'] as $key => $value) 
            {
                // iterating only over numeric keys and silently skip other keys
                if ($value[$i]->is_dir != '1' && isset($value[$i])) 
                {
                    if($i % 4 == 0) echo '<tr style="height:250px;">';
					
					//$img_data = base64_encode($dropbox->GetThumbnail($value->path, 'l'));
					//'data:image/jpeg;base64,<?php echo $img_data; 
					
					$img_url = $value[$i][1];
            ?>        
                    <td valign="top" align="center" width="25%">
                        <table height="" width="100%" border="0" cellpadding="0" cellspacing="0"> 	
                        <tr>
                            <td valign="top" align="center">
                                <div class="fancy-tooltip-target tooltip-target" id="fancy-target-<?php echo $i ?>" style="background:url(<?php echo $img_url ?>) no-repeat center; background-size:contain;"></div>
								<?php 
                                if($GLOBALS['active_tooltip'] == '1')
                                {
                                ?>
                                <div class="fancy-tooltip-content tooltip-content" id="fancy-content-<?php echo $i ?>" style="display: none; z-index:1000000; height:40px;">
                                    <img src="<?php echo $value[$i][2];?>" alt="" />
                                    <br />
                                    <?php echo $value[$i][0] ?>
                                </div>
                                <?php
								}
								?>
                            </td>
                        </tr>
                        <tr>
                            <td valign="bottom" align="center">
                            <?php 
                            if($_SESSION['basket']['fondos'])
                            {
                                $Fondo = false;
                                foreach($_SESSION['basket']['fondos'] as $array)
                                {
                                    if(in_array($value[$i][3], $array))
                                    {
                                        $Fondo = true;
                                    }
                                }	
                            }
                                                    
                            if($Fondo)
                            {
                            ?>
                                <span onclick="return false;" class="seleccionado"><button><i class="icon-check"></i> <?php echo __( 'Selected', 'hpwallart' ); ?></button></span>
                            <?php 
                            }
                            else
                            {
                            ?>
                                <form id="" class="" action="" method="POST" enctype="multipart/form-data">
                                <a href="javascript: this.form.submit();" title="">
                                    <button onclick="<?php if(count($_SESSION['basket']['fondos']) >= $GLOBALS['nos']) { ?>alert('<?php echo __( 'The maximum number of backgrounds is limited. You must remove at least one photo of the side.', 'hpwallart' ); ?>'); return false; <?php }?>"><i class="icon-check-empty"></i> <?php echo __( 'Select', 'hpwallart' ); ?></button>
                                </a>
                                <input type="hidden" name="tipo" id="tipo" value="1" />
                                <input type="hidden" name="paso" id="paso" value="3" />
                                <input type="hidden" name="objeto_path" id="objeto_path" value="<?php echo $img_url ?>" />
                                <input type="hidden" name="id" id="id" value="<?php echo $value[$i][3] ?>" />
                                <input type="hidden" name="action" id="action" value="add" />
                                </form>
                            <?php 
                            }
                            ?>
                            </td>
                        </tr>
                            <?php //echo $value['id']; ?>
                            <?php //echo $value['width']." x ".$value['height'].' pixeles'; ?>
                        </table>
                    </td>
            <?php        
                    if($i+5 % 4 == 0) echo '</tr>';
                    //$i++;
                }
				else
				{
					$i--;
				}
            }
            ?>
            </table>

			<?php 
			if($GLOBALS['active_tooltip'] == '1')
			{
			?>
			<script type="text/javascript" charset="utf-8">
            jQuery(document).ready(function($){ 
                $(".tooltip-target").ezpz_tooltip({
                  contentPosition: 'belowFollow',
                  //offset: -100
                }); 
            });
            </script>
        <?php
			}
		}
		else
		{
		 	echo __( 'No results found', 'hpwallart' );
		}
		?>
	</div>
	<?php
		$TOTAL = count($results['viewerItems']);
	
		//obtenemos la paginacion
		$PARAMPAG['num_objs_total'] = $TOTAL;
		$PARAMPAG['searchFromResult'] = $_GET['limit'];
		$PARAMPAG['num_objs_parcial'] = $GLOBALS['nNot'];
		$PARAMPAG['searchResultsPerPage'] = $GLOBALS['nNot'];
		$PARAMPAG["searchPaginationPerPage"] = $GLOBALS['nNot'];
		$PARAMPAG["path"] = get_permalink( $post->ID );
	
		$PAGINACION = getPagination($PARAMPAG);
		//formatC($PAGINACION);
		
		if ($PAGINACION[NUM_OBJS_TOTAL] > $PARAMPAG['searchResultsPerPage'])
		{
			include(dirname(__FILE__).'/pagination.inc.php');
		}
	}
	?>	