<?php
	/**
		 @contact   HP WallArt Barcelona Team (abad@hp.com)
	 
		 @version   5.0
		 @date Dec 7 2016
	 
	*   (c) Copyright 2015 Hewlett-Packard Development Company L.P
	*   All rights reserved. Copying or other reproduction of this
	*   program except for archival purposes is prohibited without
	*   written consent of HP Inc.
	*
	*   HP / GSB / LFPro
	*/

	ini_set('display_errors', 1); 
	error_reporting(E_ALL & ~E_NOTICE);
	//Acciones para guardar la sesión en un carro de compra de woocommerce
	//$parse_uri = explode( 'wp-content', $_SERVER['SCRIPT_FILENAME'] );
	//echo $_SERVER['DOCUMENT_ROOT'];
	//require_once( $_SERVER['DOCUMENT_ROOT'].'/wp-load.php' );
	require_once( '../../../../wp-load.php' );

	function woo_get_featured_product_ids() 
	{
		$args = array( 'post_type' => 'product', 'posts_per_page' => -1); 
	
		$loop = new WP_Query( $args );
	
		while ( $loop->have_posts() ) : $loop->the_post(); 
		global $product; 
		$products[$product->id] = $product->post;
		//$products[$product->id]->price = get_post_meta($product->id, '', true);
		$products[$product->id]->price = get_post_meta( $product->id, '_price', true);
		$products[$product->id]->type = get_post_meta( $product->id, '_type', true);
		//$products[$product->id]->thumbnail = wp_get_attachment_url( get_post_thumbnail_id() );
		$products[$product->id]->icon = get_post_meta( $product->id, '_icon_path', true);
		$products[$product->id]->thumbnail = get_post_meta( $product->id, '_thumbnail_path', true);
		
		if ( $product->is_type( 'variable' ) )
		{
			$products[$product->id]->variations = $product->get_available_variations();
		}
		else
		{
			$products[$product->id]->variations = NULL;
		}
		
	//	echo '<br /><a href="'.get_permalink().'">' . woocommerce_get_product_thumbnail().' '.the_title().'</a>';
		endwhile; 
	
	
		wp_reset_query(); 	
		return $products;
	}
	
	
	$PRODUCTS = woo_get_featured_product_ids();
	//print_r($PRODUCTS, 0);
	//var_dump($_GET);
?>  
    <div class="cajaFormularioLateral" style="overflow:hidden; padding:1em;">
    <h3><?php echo __( 'Variations', 'hpwallart' ); ?></h3>
    <div id="botones_canvas" style="clear:both; float:left; width:100%;">
    <p><?php echo __( 'Select one of the media substrate that we offer:', 'hpwallart' ); ?></p>
    <table border="0"  cellpadding="0" cellspacing="0"  id="ejemplos1" style="border-collapse:separate; border-spacing:2px;">
    <?php
    //foreach($PRODUCTS as $k => $p)
    $p = $PRODUCTS[$_GET['product_id']];
	//var_dump($p);
    {
      if(count($p->variations))
      {
          foreach($p->variations as $s => $v)
          {
          ?>    
          <tr>
          <td width="100%" valign="top" style="height:auto; text-align:left;">
          <input type="radio" name="media_substrate" id="media_substrate" value="<?php echo $v['variation_id']; ?>" <?php if($_SESSION['basket']['variation'] == $v['variation_id']) echo 'checked'; ?> /> 
          <label for="media_substrate" style="height:100%;">
              <span><?php echo $v['attributes']['attribute_pa_media_substrate']; ?></span>
          </label>
          </td>
          </tr>
    <?php
          }
      }
    }
    ?>
    </table>
    </div>
    </div>