/**
	 @contact   HP WallArt Barcelona Team (abad@hp.com)
 
	 @version   1.0
	 @date Feb 1 2015
 
*   (c) Copyright 2015 Hewlett-Packard Development Company L.P
*   All rights reserved. Copying or other reproduction of this
*   program except for archival purposes is prohibited without
*   written consent of HP Inc.
*
*   HP / GSB / LFPro
*/

function deleteItems()
{
	return confirm('Ests seguro de borrar este contenido?');
}


//funciones con ajax
function nuevoAjax(){
	var xmlHttp=false;
	try {
		xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
		} catch (e) {
		try {
		xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
		} catch (E) {
		xmlHttp = false;
		}
	}
	
	if (!xmlHttp && typeof XMLHttpRequest!='undefined') {
		xmlHttp = new XMLHttpRequest();
	}

	return xmlHttp;
}



function addToCart(tipo, paso, objeto_path, id, action)
{
	var contenedor;
	contenedor = document.getElementById('RESPUESTA');
	ajax=nuevoAjax();
	ajax.open("GET", "/wp-content/plugins/page-template/includes/addToCart.php?tipo="+tipo+"&paso="+paso+"&objeto_path="+objeto_path+"&id="+id+"&action="+action+"&nocache=" + Math.random(),true);
	ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded; charset=iso-8859-1');
	ajax.onreadystatechange=function() {
	if (ajax.readyState==4) {
	contenedor.innerHTML = ajax.responseText;
	}
	}
	ajax.send(null)
}

function strstr (haystack, needle, bool) {
    // Finds first occurrence of a string within another  
    // 
    // version: 1109.2015
    // discuss at: http://phpjs.org/functions/strstr
    // +   original by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
    // +   bugfixed by: Onno Marsman
    // +   improved by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
    // *     example 1: strstr('Kevin van Zonneveld', 'van');
    // *     returns 1: 'van Zonneveld'
    // *     example 2: strstr('Kevin van Zonneveld', 'van', true);
    // *     returns 2: 'Kevin '
    // *     example 3: strstr('name@example.com', '@');
    // *     returns 3: '@example.com'
    // *     example 4: strstr('name@example.com', '@', true);
    // *     returns 4: 'name'
    var pos = 0;
 
    haystack += '';
    pos = haystack.indexOf(needle);
    if (pos == -1) {
        return false;
    } else {
        if (bool) {
            return haystack.substr(0, pos);
        } else {
            return haystack.slice(pos);
        }
    }
}


function showHide(idObject){
	var elemento = document.getElementById(idObject);
	elemento.style.display == 'none'? elemento.style.display = 'block' : elemento.style.display = 'none';
}


// /Robosoft 2018-03-14::Enable and disable a custom sizes/
function setTipo(tipo, slug, type, factor, divisor, unitate, constrained, customid, provider_backgrounds, provider_objects, product_id, use_backgrounds_step)
{
	//default values on enter
	document.getElementById("precioDiv").style.display = "none";
	document.getElementById("skusancho").value = "";
	document.getElementById("skusalto").value = "";
	document.getElementById("nextStep").style.display = "none";
	
	if(use_backgrounds_step == '1' )
	{
		document.getElementById('paso').value='2';
	}
	else
	{
		document.getElementById('paso').value='3';
	}
	document.getElementById('product_id').value = product_id;
	document.getElementById('tipo').value = tipo;
	document.getElementById('type').value = type;
	document.getElementById('categoria').value = slug;
	document.getElementById('use_backgrounds_step').value = use_backgrounds_step;

	if(constrained == '1' && customid == '1')	
	{
		document.getElementById('SKUS').style.display='block';
		document.getElementById('CANVAS').style.display='block';

		//load presets by sku on CANVAS div
		var contenedor;
		contenedor = document.getElementById('CANVAS');
		ajax=nuevoAjax();
		ajax.open("GET", myScript.pluginsUrl + "/hpwallart/includes/presets.php?sku="+slug+"&nocache=" + Math.random(),true);
		ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded; charset=iso-8859-1');
		ajax.onreadystatechange=function() {
		if (ajax.readyState==4) {
		contenedor.innerHTML = ajax.responseText;
		}
		}
		ajax.send(null)

	}
	else if(constrained == '0' && customid == '0'){
		document.getElementById('skusancho').value='-1';
		document.getElementById('skusalto').value='-1';
		document.getElementById('myFormi').submit();
		
	}
	else if(customid == '0')
	{
		document.getElementById('SKUS').style.display='none';
		document.getElementById('CANVAS').style.display='block';
		var contenedor;
		contenedor = document.getElementById('CANVAS');
		ajax=nuevoAjax();
		ajax.open("GET", myScript.pluginsUrl + "/hpwallart/includes/presets.php?sku="+slug+"&nocache=" + Math.random(),true);
		ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded; charset=iso-8859-1');
		ajax.onreadystatechange=function() {
		if (ajax.readyState==4) {
		contenedor.innerHTML = ajax.responseText;
		}
		}
		ajax.send(null)
	}
	else if(constrained == '0')
	{
		document.getElementById('SKUS').style.display='block';
		document.getElementById('CANVAS').style.display='none';
	}
	else{
		document.getElementById('SKUS').style.display='none';
		document.getElementById('CANVAS').style.display='block';
	}
}
// /Robosoft End/

function setVariation(name, description, price, currency, unitate)
{
	document.getElementById('media_substrate').value = name;
	var variations = document.getElementById("VARIATIONS");
	variations.style.display="block";
	variations.innerHTML='<h3>Description</h3><p style="text-transform:none; margin:0; font-size:1em; color:#000;">'+name+'</p><p style="text-transform:none; margin:0; font-size:1em; color:#000;">'+description+'</p><p style="text-transform:none; margin:0; font-size:1em; color:#000;">'+price+' '+currency+'/'+unitate+'</p>';
}

function deleteItems()
{
	return confirm("\u00BF\Est\u00e1\s seguro de eliminar este contenido?");
}

var $ = jQuery.noConflict();
$(function() {   
    $('.open').on('click', function() {
       var idNum = $(this).attr('id'); //open1 or open2 ...

       // get corresponding content to toggle
       idNum = idNum.replace('open', 'content');

       // hide all visible content divs except current one
       $('.content-div:visible:not(#' + idNum + ')').hide();

        // show the current content div only
       $('#' + idNum).toggle();
    });
});

