<?php
	/*
	This is where you need to implement the E-Commerce Site API as documented in the HP WallArt Platform API document.
	*/
	
	require_once '../core/init.php';

	define( 'SHORTINIT', true );
//	$parse_uri = explode( 'wp-content', $_SERVER['SCRIPT_FILENAME'] );
//	require_once( $parse_uri[0] . 'wp-load.php' );
	require_once( $_SERVER['DOCUMENT_ROOT'].'/wp-load.php' );
	//$wpdb = new wpdb( DB_USER, DB_PASSWORD, DB_NAME, DB_HOST);

	//open LOG file
	$h = fopen('services.txt', 'a');

	//$ESTADOS = array(1 => 'EDITING', 2 => 'IN_CART', 3 => 'PURCHASED', 4 => 'DELETED');

	$path_info = !empty($_SERVER['PATH_INFO']) ? $_SERVER['PATH_INFO'] : (!empty($_SERVER['ORIG_PATH_INFO']) ? $_SERVER['ORIG_PATH_INFO'] : '');
	fwrite($h, "\r****** PATH_INFO ***** ".$path_info." ***** FILE services.php ******\n");
	
	
	//volvemos a autorizar por enesima vez... que rollo!
	$authorized = false; //FALSE
	$server = new OAuthServer();
	try
	{
		if ($server->verifyIfSigned())
		{
			$authorized = true;
		}
		else
		{
			echo 'you are unverified';
		}
	}
	catch (OAuthException2 $e)
	{
	}
	
	if (!$authorized)
	{
		if (preg_match('/\/projects\/(\d+)\/add_to_cart/', $path_info, $matches))
		{
			//Skip oAuth verification for add_to_cart
		}
		elseif (preg_match('/\/(\d+)\/projects\/(\d+)\/email_message/', $path_info, $matches))
		{
			//Skip oAuth verification for email_message
		}
		else
		{
			header('HTTP/1.1 401 Unauthorized');
			header('Content-Type: text/plain');
	
			echo "OAuth Verification from Services.php Failed: " . $e->getMessage();
			die;
		}
	}


	fwrite($h, "\r****** PATH_INFO ***** ".$path_info." ***** FILE services.php ******\n");



	
	// From here on we are authenticated with OAuth.
	
	if ($path_info == "/user_info")
	{
		//TO DO:
		//You need to send the name and id of the logged in user. I think for this you need a way of mapping the Access Token to the logged in user.
		//All oAuth requests will have an AccessToken in the headers.
//		$user_info = array('id' => 1, 'name' => "Dennet Menezes");
		
		//Authorization: OAuth oauth_consumer_key="a96508aa073354d8f6c93daf7675c467052095160", oauth_nonce="2QnmFxrtyq8FkTglPEjKqjqjiK8YxQX1BneYDZDXk", oauth_signature="rwfzu3WXYPoEPws4BSbqBH5UmcY%3D", oauth_signature_method="HMAC-SHA1", oauth_timestamp="1384991363", oauth_token="0159891e697aa09fca8cf2c838a865960528d4a6b", oauth_version="1.0"
		fwrite($h, "\n\n\n\r**************************************************************************************\n");
		fwrite($h, "\r****** Date time: ".(date('Y-m-d H:i:s'))." ******\n");
		fwrite($h, "\r****** METHOD GET ***** REQUEST /user_info ***** FILE services.php ******\n");
		fwrite($h, "****** IP: ".$_SERVER['REMOTE_ADDR']." ******\n");
		fwrite($h, "****** HEADERS: ******\n\n");

		//buscamos datos del usuario
		$headers = getAllHeadersJorge();
			
		$data = explode(':', $headers['Authorization']);
		$data2 = explode(',', $data[0]);
		foreach ($data2 as $val) 
		{
			$valor = explode('=', $val);
			$header2[trim($valor[0])] = stripslashes(str_replace('"', '', trim($valor[1])));
		}


		//Get oauth_token from oauth_server_token
		$wp_result = array();
		$wp_result = $wpdb->get_results( " SELECT * FROM wp_oauth_server_token  WHERE ost_token = '".stripslashes($header2['oauth_token'])."' ", ARRAY_A );
		//fwrite($h, "\r****** wp_oauth_server_token in DDBB: ".json_encode($wp_result)." ******\n");

		//Get the project_id via context_content_token
		$project_id = $wp_result[0]['ost_usa_pro_ref'];
		$user_id = $wp_result[0]['ost_usa_id_ref'];
		
		//fwrite($h, "\r****** User_id: ".$user_id." ******\n");
		//fwrite($h, "****** oauth_token: ".stripslashes($header2['oauth_token'])." ******\n");


		$order = new WC_Order($project_id);
		$item = $order->get_items('line_item');
		$wp_result2 = wc_get_order_item_meta(key($item), '_data');
		$wp_result2 = unserialize($wp_result2);

		//fwrite($h, "\r****** project in DDBB: ".json_encode($wp_result2)." ******\n");

				
		$user_info = array('id' => $user_id, 'name' => "anonymous");
		//fwrite($h, "****** User INFO: ".json_encode($user_info)." ******\n");

		echo json_encode($user_info);

		exit;
	}
	elseif ($path_info == "/projects")
	{
		if ($_SERVER['REQUEST_METHOD'] == "GET")
		{
			//TO DO:
			//Ascertain the user via the access token in the headers
			//Send back the list of projects for this user in your database as an array.
			//For now hard coded empty array

			/*Averiguamos usuario*/
			
			//fwrite($h, "\n\n\n\r**************************************************************************************\n");
			//fwrite($h, "\r****** Date time: ".(date('Y-m-d H:i:s'))." ******\n");
			//fwrite($h, "\r****** METHOD GET ***** REQUEST /projects ***** FILE services.php ******\n");
			//fwrite($h, "****** IP: ".$_SERVER['REMOTE_ADDR']." ******\n");
	
			//buscamos datos del usuario
			$headers = getAllHeadersJorge();
				
			$data = explode(':', $headers['Authorization']);
			$data2 = explode(',', $data[0]);
			foreach ($data2 as $val) 
			{
				$valor = explode('=', $val);
				$header2[trim($valor[0])] = stripslashes(str_replace('"', '', trim($valor[1])));
			}
			

			//Get oauth_token from oauth_server_token
			$wp_result = array();
			$wp_result = $wpdb->get_results( " SELECT * FROM wp_oauth_server_token  WHERE ost_token = '".stripslashes($header2['oauth_token'])."' ", ARRAY_A );
			//fwrite($h, "\r****** wp_oauth_server_token in DDBB: ".json_encode($wp_result)." ******\n");
	
			//Get the project_id via context_content_token
			$project_id = $wp_result[0]['ost_usa_pro_ref'];
			$user_id = $wp_result[0]['ost_usa_id_ref'];
			
			//fwrite($h, "\r****** User_id: ".$user_id." ******\n");
			//fwrite($h, "****** oauth_token: ".stripslashes($header2['oauth_token'])." ******\n");
	
			$order = new WC_Order($project_id);
			$item = $order->get_items('line_item');
			$wp_result2 = wc_get_order_item_meta(key($item), '_data');
			$wp_result2 = unserialize($wp_result2);
			//fwrite($h, "\r****** project in DDBB: ".json_encode($wp_result2)." ******\n");

			$wp_result_name = wc_get_order_item_meta(key($item), '_name');
			$wp_result_path = wc_get_order_item_meta(key($item), '_path');
			$wp_result_status = wc_get_order_item_meta(key($item), '_status');

			//create array of projects
            $proyectos = array();
			
			$proyecto = array();
			$proyecto['id'] = $project_id;
			$proyecto['name'] = $wp_result_name;
			$proyecto['path'] = $wp_result_path;
			$proyecto['content_context_token'] = $project_id;
			$proyecto['state'] = $wp_result_status;

			$proyectos[] = $proyecto;
			//fwrite($h, "****** proyectos: ".json_encode($proyecto)." ******\n");
		
			//echo $proyectos = implode(',', $proyectos);
			echo json_encode($proyectos);
			//fwrite($h, "\r****** proyectos: ".json_encode($proyectos)." ******\n");
			
			exit;
		}
		else if ($_SERVER['REQUEST_METHOD'] == "POST")
		{
			//TO DO:
			//Ascertain the user via the access token in the headers.
			//Use the incoming params of the POST to create the project record in your database for the user and send back info as response.
			$datos = json_decode($HTTP_RAW_POST_DATA);		  
			//Incoming id will always be nil for new project. You have to send back the id of the project record in your DB once you create it.
			$name = $datos->{"name"};
			$path = $datos->{"path"};

			/*Averiguamos usuario*/
			
			//fwrite($h, "\n\n\n\r**************************************************************************************\n");
			//fwrite($h, "\r****** Date time: ".(date('Y-m-d H:i:s'))." ******\n");
			//fwrite($h, "\r****** METHOD POST ***** REQUEST /projects ***** FILE services.php ******\n");
			//fwrite($h, "****** IP: ".$_SERVER['REMOTE_ADDR']." ******\n");
	
			//buscamos datos del usuario
			$headers = getAllHeadersJorge();
				
			$data = explode(':', $headers['Authorization']);
			$data2 = explode(',', $data[0]);
			foreach ($data2 as $val) 
			{
				$valor = explode('=', $val);
				$header2[trim($valor[0])] = stripslashes(str_replace('"', '', trim($valor[1])));
			}
			
	
	
			//Get oauth_token from oauth_server_token
			$wp_result = array();
			$wp_result = $wpdb->get_results( " SELECT * FROM wp_oauth_server_token  WHERE ost_token = '".stripslashes($header2['oauth_token'])."' ", ARRAY_A );
			//fwrite($h, "\r****** wp_oauth_server_token in DDBB: ".json_encode($wp_result)." ******\n");
	
			//Get the project_id via context_content_token
			$project_id = $wp_result[0]['ost_usa_pro_ref'];
			$user_id = $wp_result[0]['ost_usa_id_ref'];
			
			//fwrite($h, "\r****** User_id: ".$user_id." ******\n");
			//fwrite($h, "****** oauth_token: ".stripslashes($header2['oauth_token'])." ******\n");
	
			$order = new WC_Order($project_id);
			$item = $order->get_items('line_item');
			$wp_result2 = wc_get_order_item_meta(key($item), '_data');
			$wp_result2 = unserialize($wp_result2);
			//fwrite($h, "\r****** project in DDBB: ".json_encode($wp_result2)." ******\n");


			
			//fwrite($h, "\r****** HTTP_RAW_POST_DATA: ".$HTTP_RAW_POST_DATA." ******\n");
			
			//actualizamos nombre del proyecto, path y marcamos como actualizado por API en la base de datos
			/*$db = new db;
			$q = " UPDATE ixe_attribute SET value = '1'  WHERE id = '".$RPROYECTO['ixe']."' AND ixe_composition = '1317' ";
			$db->query($q);*/
			

			wc_update_order_item_meta(key($item), '_name', $datos->{"name"});
			wc_update_order_item_meta(key($item), '_path', $datos->{"path"});


			$order = new WC_Order($project_id);
			$item = $order->get_items('line_item');
			$wp_result2 = wc_get_order_item_meta(key($item), '_data');
			$wp_result2 = unserialize($wp_result2);
			//fwrite($h, "\r****** project in DDBB: ".json_encode($wp_result2)." ******\n");

			$wp_result_name = wc_get_order_item_meta(key($item), '_name');
			$wp_result_path = wc_get_order_item_meta(key($item), '_path');
			$wp_result_status = wc_get_order_item_meta(key($item), '_status');
			
			
			$new_project = array('id' => $project_id, 'name' => $wp_result_name, 'path' => $wp_result_path, 'state' => $wp_result_status);
			echo json_encode($new_project);

			//fwrite($h, "\r****** HTTP_RAW_POST_DATA: ".json_encode($new_project)." ******\n");
			
			
			exit;
		}
	}
	else if (preg_match('/\/projects\/(\d+)\/add_to_cart$/', $path_info, $matches))
	{
		$project_id = $matches[1];
		
		if ($_SERVER['REQUEST_METHOD'] == "POST")
		{
			//TO DO:
			//Ascertain the user via the access token in the headers
			//Get the ID of the project from the request path and add that project to cart in your db.
			//Return a redirect URL to the cart.
			//For now hard coded dummy redirect URL to google
			//$project_id = '851';
			
			header('Location: '.plugin_dir_url( __DIR__ )."includes/updateCart.inc.php?id=".$project_id, true, 301);
			die();
		}
	}
	else if (preg_match('/\/(\d+)\/projects\/(\d+)\/email_message$/', $path_info, $matches))
	{
		//$id = $matches[1];
		$user_id = $matches[1];
		$project_id = $matches[2];
		
		if ($_SERVER['REQUEST_METHOD'] == "POST")
		{
			//Ascertain the user via the access token in the headers
			//Get the ID of the project from the request path.
			//Send email from your server to the recipient with data from the POST.
			$data = json_decode($HTTP_RAW_POST_DATA);	
			$recipient = $data->{"recipient"};
			$message = $data->{"message"};
			$preview_image_url = $data->{"preview_image_url"};
			$message .= '<img src="'.$preview_image_url.'" />';

			fwrite($h, "\n\n\n\r**************************************************************************************\n");
			fwrite($h, "\r****** Date time: ".(date('Y-m-d H:i:s'))." ******\n");
			fwrite($h, "\r****** METHOD GET ***** REQUEST /projects/id/email_message ***** FILE services.php ******\n");
			fwrite($h, "****** IP: ".$_SERVER['REMOTE_ADDR']." ******\n");

			foreach ($data as $header => $value) 
			{
				$val = "$header: $value <br />\n";
				fwrite($h, $val);
			}
			
			$to = $recipient;
	
			$subject = "HP WallArt Solution";
			
			$headers = "From: hpwallart.support@hp.com\r\n";	
			$headers .= "Reply-To: jorgertrias@gmail.com\r\n";	
			$headers .= "MIME-Version: 1.0\r\n";
			$headers .= "Content-type: text/html; charset=UTF-8\r\n";
			$headers .= "Bcc: jorge@navartic.es,leitat-services.raquel.martinez@hp.com\r\n";	
			$headers .= "Content-Transfer-Encoding: base64\r\n\r\n";
	
			$message = rtrim(chunk_split(base64_encode($message)));
	
			mail($to, $subject, $message, $headers); 

			exit;
		}
	}
	else if (preg_match('/\/projects\/(\d+)$/', $path_info, $matches))
	{
		$project_id = $matches[1];
		if ($_SERVER['REQUEST_METHOD'] == "GET")
		{
			//TO DO:
			//Ascertain the user via the access token in the headers
			//Get the ID of the project from the request path and send back info from your db for that project id.
			//For now hard coded dummy response
			
			/*Averiguamos usuario*/
			
			//fwrite($h, "\n\n\n\r**************************************************************************************\n");
			//fwrite($h, "\r****** Date time: ".(date('Y-m-d H:i:s'))." ******\n");
			//fwrite($h, "\r****** METHOD GET ***** REQUEST /projects/id ***** FILE services.php ******\n");
			//fwrite($h, "****** IP: ".$_SERVER['REMOTE_ADDR']." ******\n");
	
			//buscamos datos del usuario
			$headers = getAllHeadersJorge();
				
			$data = explode(':', $headers['Authorization']);
			$data2 = explode(',', $data[0]);
			foreach ($data2 as $val) 
			{
				$valor = explode('=', $val);
				$header2[trim($valor[0])] = stripslashes(str_replace('"', '', trim($valor[1])));
			}
			
	
			//recuperamos valor del oauth_token de oauth_server_token
			//$wp_result = $wpdb->get_results( " SELECT * FROM wp_oauth_server_token  WHERE ost_token = '".stripslashes($header2['oauth_token'])."' " );
			//fwrite($h, "****** ost_token_secret DDBB: ".json_encode($wp_result)." ******\n");
	
			//Get the project_id via context_content_token
			//$project_id = $wp_result->ost_usa_pro_ref;
			$order = new WC_Order($project_id);
			$item = $order->get_items('line_item');
			$wp_result2 = wc_get_order_item_meta(key($item), '_data');
			$wp_result2 = unserialize($wp_result2);
			//fwrite($h, "****** DDBB: ".json_encode($wp_result2)." ******\n");
			
			$wp_result_name = wc_get_order_item_meta(key($item), '_name');
			$wp_result_path = wc_get_order_item_meta(key($item), '_path');
			$wp_result_status = wc_get_order_item_meta(key($item), '_status');


			$existing_project = array('id' => $project_id, 'name' => $wp_result_name, 'path' => $wp_result_path, 'state' => $wp_result_status);
			echo json_encode($existing_project);
			exit;
		}
		else if ($_SERVER['REQUEST_METHOD'] == "PUT")
		{
			//TO DO:
			//Ascertain the user via the access token in the headers.
			//Get the ID of the project from the request path.
			//Update that projects info in your db using incoming params
			
			/*HEADERS*/
			
			//fwrite($h, "\n\n\n\r**************************************************************************************\n");
			//fwrite($h, "\r****** Date time: ".(date('Y-m-d H:i:s'))." ******\n");
			//fwrite($h, "\r****** METHOD PUT ***** REQUEST /projects/id ***** FILE services.php ******\n");
			//fwrite($h, "****** IP: ".$_SERVER['REMOTE_ADDR']." ******\n");

			//buscamos datos del usuario
			$headers = getAllHeadersJorge();
				
			$data = explode(':', $headers['Authorization']);
			$data2 = explode(',', $data[0]);
			foreach ($data2 as $val) 
			{
				$valor = explode('=', $val);
				$header2[trim($valor[0])] = stripslashes(str_replace('"', '', trim($valor[1])));
			}
			
			//cogemos id del request path
			//$project_id = explode('/', $path_info);
			
	

			$put_body = file_get_contents("php://input");
			$datos = json_decode($put_body);		  
			$name = $datos->{"name"};
			$path = $datos->{"path"};
			
			//fwrite($h, "\r****** Data received: ".$name.", ".$path." ******\n");

			//actualizamos nombre del proyecto en la base de datos
			/*$db = new db;
			$q = " UPDATE ixe_attribute SET value = '".$datos->{"name"}."'  WHERE id = '".$project_id['2']."' AND ixe_composition = '1197' ";
			$db->query($q);
			
			$db = new db;
			$q = " UPDATE ixe_attribute SET value = '".$datos->{"path"}."'  WHERE id = '".$project_id['2']."' AND ixe_composition = '1276' ";
			$db->query($q);*/
			$order = new WC_Order($project_id);
			$item = $order->get_items('line_item');
			$wp_result2 = wc_get_order_item_meta(key($item), '_data');
			$wp_result2 = unserialize($wp_result2);
			//fwrite($h, "****** DDBB: ".json_encode($wp_result2)." ******\n");
			
			$wp_result_name = wc_get_order_item_meta(key($item), '_name');
			$wp_result_path = wc_get_order_item_meta(key($item), '_path');
			$wp_result_status = wc_get_order_item_meta(key($item), '_status');
			
			
			
			$updated_project = array('id' => $project_id, 'name' => $wp_result_name, 'path' => $wp_result_path, 'state' => $wp_result_status);
			echo json_encode($updated_project);
			
			//fwrite($h, "\r****** Data send: ".json_encode($updated_project)." ******\n");
			
			exit;
		}
	}
	else
	{
		header('HTTP/1.1 500 Internal Server Error');
		header('Content-Type: text/plain');
		echo "Unknown Request";
	}

	//close LOG file
	fclose($h);

	require_once '../core/end.php';
?>